<%@ LANGUAGE="VBScript" %>
<!-- #include file="includes/config.asp" --><!-- #include file="includes/common.asp" --><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!-- #include file="includes/form.asp" -->
<!-- #include file="includes/passwords.asp" -->
<%	'Require login to access the page.
	call CheckAccess(false)

	'Open the database.
	call OpenDb() %>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<%	PageSubTitle = "Change Password"
	call BuildPageHeader("", "") %>
<!-- #include file="includes/custom.asp" -->
</head>
<body>
<!-- #include file="includes/header.asp" -->
<!-- #include file="includes/menu.asp" -->
	<div id="contentSection">
	<table id="mainWrapper" border="0" cellpadding="0" cellspacing="0"><tr><td>
<%	'If there is form data, process it.
	dim password, newPassword1, newPassword2
	dim sql, rs, salt
	if Request.ServerVariables("Content_Length") > 0 and not IsCancelRequest() then
		password = Trim(Request.Form("password"))
		newPassword1 = Trim(Request.Form("newPassword1"))
		newPassword2 = Trim(Request.Form("newPassword2"))
		if password = "" or newPassword1 = "" or newPassword2 = "" then
			FormFieldErrors.Add "password", "Your current password is required."
			FormFieldErrors.Add "newPassword1", "You must enter your new password twice, where indicated."
			FormFieldErrors.Add "newPassword2", ""
		elseif newPassword1 <> "" and newPassword1 <> newPassword2 then
			FormFieldErrors.Add "password", "New passwords did not match."
			FormFieldErrors.Add "newPassword1", ""
			FormFieldErrors.Add "newPassword2", ""
		elseif Len(newPassword1) < PASSWORD_MIN_LEN then
			FormFieldErrors.Add "password", "New password must be at least " & PASSWORD_MIN_LEN & " characters long."
			FormFieldErrors.Add "newPassword1", ""
			FormFieldErrors.Add "newPassword2", ""
		else

			'The input data is good, check the current password.
			sql = "SELECT * FROM Users WHERE Username = '" & SqlEscape(Session(SESSION_USERNAME_KEY)) & "'"
			set rs = DbConn.Execute(sql)
			if not (rs.EOF and rs.BOF) then
				if Hash(rs.Fields("Salt").Value & password) <> rs.Fields("Password").Value then
					FormFieldErrors.Add "password", "Incorrect password."
					FormFieldErrors.Add "newPassword1", ""
					FormFieldErrors.Add "newPassword2", ""
				else
					salt = CreateSalt()
					sql = "UPDATE Users SET" _
					   & " Salt = '" & salt & "', " _
					   & " [Password] = '" & Hash(salt & newPassword1) & "'" _
					   & " WHERE Username = '" & SqlEscape(Session(SESSION_USERNAME_KEY)) & "'"
					call DbConn.Execute(sql)
					call DisplaySuccessMessage("Your password has been changed.")
				end if
			else
				call DisplayErrorMessage("Password update failed, user '" & Session(SESSION_USERNAME_KEY) & "' not found.")
			end if

		end if

		'Show form field errors, if any.
		if FormFieldErrors.Count > 0 then
			call DisplayFormFieldErrorsMessage("Password change failed, see below.")
		end if

	end if %>
	<form action="<% = Request.ServerVariables("SCRIPT_NAME") %>" method="post">
		<table class="main fixed" border="0" cellpadding="0" cellspacing="0">
			<tr class="header bottomEdge">
				<th align="left">Change Your Password</th>
			</tr>
			<tr>
				<td class="freeForm">
					<p>To change your password, you must provide your
					current password and enter your new password (twice,
					for confirmation) in the fields provided.</p>
					<table border="0" cellpadding="0" cellspacing="0">
						<tr valign="middle">
							<td><strong>Username:</strong></td>
							<td><% = Session(SESSION_USERNAME_KEY) %></td>
						</tr>
						<tr valign="middle">
							<td><strong>Current password:</strong></td>
							<td><input type="password" name="password" value="" class="<% = StyleFormField("", "password") %>" /></td>
						</tr>
						<tr valign="middle">
							<td><strong>New password:</strong></td>
							<td><input type="password" name="newPassword1" value="" class="<% = StyleFormField("", "newPassword1") %>" /></td>
						</tr>
						<tr valign="middle">
							<td><strong>Confirm new password:</strong></td>
							<td><input type="password" name="newPassword2" value="" class="<% = StyleFormField("", "newPassword2") %>" /></td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
		<p><input type="submit" name="submit" value="Change" class="button" />&nbsp;<input type="submit" name="submit" value="Cancel" class="button" /></p>
	</form>
	</td></tr></table>
	</div>
<!-- #include file="includes/footer.asp" -->
</body>
</html>