<%@ LANGUAGE="VBScript" %>
<%	'**************************************************************************
	'* getRequest.asp                                                         *
	'*                                                                        *
	'* Performs an HTTP GET request on the specified URL and returns the      *
	'* response. Used as a proxy for cross-domain AJAX calls.                 *
	'**************************************************************************

	'Set up the response.
	Response.Buffer = true
	Response.AddHeader "Cache-Control", "no-cache"

	dim url, httpRequest

	'Get the URL.
	url = Request.QueryString("url")

	'Make the request.
	set httpRequest = Server.CreateObject("Microsoft.XMLHTTP")
	call httpRequest.open("GET", url, false)
	call httpRequest.send()

	'Mirror the response status and content type.
	Response.Status = httpRequest.status & " " & httpRequest.statusText
	Response.ContentType = httpRequest.getResponseHeader("Content-Type")

	'Output the response.
	Response.Write(httpRequest.responseText) %>
