<%@ LANGUAGE="VBScript" %>
<!-- #include file="includes/config.asp" --><!-- #include file="includes/common.asp" --><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!-- #include file="includes/payments.asp" -->
<%	'Limit access to the Administrator.
	call CheckAccess(true) %>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<%	PageSubTitle = "For the Administrator"
	call BuildPageHeader("", "") %>
<!-- #include file="includes/custom.asp" -->
</head>
<body>
<!-- #include file="includes/header.asp" -->
<!-- #include file="includes/menu.asp" -->
	<div id="contentSection">
	<table id="mainWrapper" border="0" cellpadding="0" cellspacing="0"><tr><td>
	<table class="main fixed" border="0" cellpadding="0" cellspacing="0">
		<tr class="header bottomEdge">
			<th align="left">Help</th>
		</tr>
		<tr>
			<td class="freeForm">
				<h1>For the Administrator</h1>

				<p>This page is intended to help you, the Administrator, run the pool.</p>

				<h2>Administrator Pages</h2>

				<p>The following links can be found on the Administrator menu and are group by pool or function.</p>

				<h3>Weekly
<%	if ENABLE_MARGIN_POOL or ENABLE_SURVIVOR_POOL then %>
				and <% = SidePoolTitle %> Pools</h3>
<%	else %>
				 Pool</h3>
<%	end if %>
				<p><a href="updateScores.asp">Enter Game Scores</a><br />
				Use this form to enter or update individual games scores.
				You need not fill in all the scores at once, just leave the fields blank if you do not have the final score for a given game.
				You can also correct scores simply by changing the field value and submitting the form.</p>

				<p>The OT field should be checked to indicate an overtime game.
				This has no bearing on the pool but it does appear in the schedule displays.</p>
<%	if ENABLE_SCORES_ADDON then %>
				<p><strong>Tip:</strong> Use the <code>Load</code> button to search for scores online.
				Any final results found will automatically be filled in and highlighted on the form.
				Then, you just click the <code>Update</code> button to confirm them.
				Or, you can just check the <code>Auto-update</code> box.
				This will cause it to check for scores every ten minutes and automatically update them.</p>
<%	end if
	if USE_POINT_SPREADS or SHOW_POINT_SPREADS then %>
				<p><a href="updateSpreads.asp">Set Point Spreads</a><br />
				Use this form to set the point spread for each game.
				Remember, for purposes of the pool, the point spread always applies to the <em>visiting team</em>.
				So, if the visiting team is favored, the number should be negative.
				Likewise, if the visiting team is the underdog, the number should be positive.</p>

				<p>Valid point spread values are multiples of 0.5.
				For example, <code>-3,</code> <code>0,</code> <code>-5.0</code> and <code>6.5</code> are acceptable while <code>-3.25</code> and <code>7.1</code> are not.
				Note that on the entry form and schedule displays, a point spread of <code>6.5</code> will appear as 6&frac12;.</p>
<%	end if %>
				<p><a href="updateSchedule.asp">Update Game Schedule</a><br />
				This page allows you to update games to accommodate scheduling changes.
				You can change the date and/or time of a game or even move it to a different week.</p>
<%	if PlayoffsPoolsCount > 0 then
		if PlayoffsPoolsCount = 1 then
			if ENABLE_SUPER_BOWL_POOL then %>
				<h3>Super Bowl</h3>
<%			else %>
				<h3>Playoffs Pool</h3>
<%			end if %>
<%		else %>
				<h3>Playoffs Pools</h3>
<%		end if %>
				<p><a href="updatePlayoffsScores.asp">Enter Playoffs Scores</a><br />
				Use this form to enter scores for playoffs games.
				Note that multiple overtimes are possible in playoff games.</p>
<%		if USE_POINT_SPREADS then %>
				<p><a href="playoffsUpdateSpreads.asp">Set Playoffs Point Spreads</a><br />
				Use this form to set the point spread for each playoff game.</p>
<%		end if
		if ENABLE_PLAYOFFS_RANK_POOL then %>
				<p><a href="setPlayoffsTeams.asp">Set Playoffs Teams</a><br />
				For the <% = LCase(PlayoffsRankPoolTitle) %> pool, you'll need to use this form to set the playoffs teams before the first game starts.
				<em>Players will not be able to submit entries for this pool until you have set them here.</em></p>

				<p>Tip: Use the <code>Load</code> button to set teams based on the final conference standings.
				If available, the teams will automatically be filled in and highlighted on the form.
				You then need to click the <code>Update</code> button to confirm them.</p>
<%		end if %>
				<p><a href="updatePlayoffsSchedule.asp">Update Playoffs Schedule</a><br />
				This form allows you to to set the teams in each playoff game as the matchups are determined.
				You can also change the game date and time if necessary.
<%		if ENABLE_PLAYOFFS_PICK_POOL then %>
				<em>You will need to set the teams for each round of playoff games as early as possible.
				Players will not be able to submit their picks until you do.</em>
<%		end if %>
				</p>
<%		if ENABLE_SUPER_BOWL_POOL then %>
				<p><a href="editSuperBowl.asp">Edit Super Bowl Pool</a><br />
				Here you can review and edit the propositions used in the Super Bowl.
				Several have been predefined but you are free to alter them as you wish.
				Be careful to choose events or statistics that are easily verifiable however, and try to state them as clearly as possible.
				<em>You must set the Super Bowl teams on the playoffs schedule in order for players to submit their entries in this pool.</em></p>

				<p><a href="updateSuperBowl.asp">Enter Super Bowl Results</a><br />
				This is were you enter the results for the Super Bowl pool.
				Note that each result will be one of the two teams or a tie.</p>
<%		end if
	end if %>
				<h3>User Accounts</h3>
			
				<p><a href="accountBalances.asp">Account Balances</a><br />
				This page displays the current account balance for every player, letting you quickly see who owes what.
				Clicking on a name will take you to the player's account history where you can view details.</p>

				<p>You'll also find a summary of your pool funds (total payments received vs. winnings paid).
				These totals assume that all winnings have been paid out to the appropriate players.</p>
<%	if ENABLE_PAYPAL_ADDON then %>
				<p><a href="paymentLog.asp">Online Payment Log</a><br />
				Shows the PayPal notification log.
				This can be used for diagnostic purposes.</p>
<%	end if %>
				<p><a href="manageAccounts.asp">Manage Accounts</a><br />
				Use this form to credit a player's account when a payment is made.
				You do not need to log entry fees or winnings.</p>

				<p>Remember that players can view their own account history so try to make the transaction descriptions clear.
				Something simple like "Payment" or "Refund" is recommended.</p>

				<p><em>Transactions cannot be edited or deleted once entered.</em>
				If you need to make a correction to a player's account, do so by creating a new transaction.</p>

				<p><a href="manageUsers.asp">Manage Users</a><br />
				The forms on this page allow you to add or delete users or to reset a user's password.</p>

				<p><em>Users who have made any picks for completed games or who have account transactions in the database cannot be deleted.</em>
				If you wish to prevent a player from making any new pool entries, you can disable the player by editing his or her profile.</p>

				<h3>News</h3>

				<p><a href="editNews.asp">Edit News</a><br />
				This form allows you to update the news section of the <a href="default.asp">home page</a>.
				Use it to make general announcements and to keep players informed of what's going on.</p>

				<h2>Additional Notes</h2>
<%	if SERVER_EMAIL_ENABLED then %>
				<h3>Email Notifications</h3>

				<p>Many of the Administrator forms have an option to send email notifications to players who have elected to receive them in their profile.
				This includes scheduling changes,
<%		if USE_POINT_SPREADS then %>
				point spread updates,
<%		end if %>
				result updates and news announcements.</p>

				<p>Be sure to send these out whenever you make a change but careful not to spam your players.
				For example, suppose you've just updated the game scores and sent notifications out.
				Then you realize that you made a mistake on one game's score which you immediately correct.
				There is no need to resend the notifications.</p>
<%	end if %>
				<h3>Scheduling Changes</h3>

				<p>Remember that due to the NFL's flexible scheduling policy, the final game of the week may change late in the season.
				Since this game is always used for the tiebreaker, you'll need to make the necessary scheduling change in time for your players to make their entries.</p>

				<p>In addition to flexible scheduling, there are often other changes to the game schedule.
				Be sure to check the official <a href="http://www.nfl.com">NFL</a> web site periodically and make any necessary updates to the game schedule.</p>
<%	if USE_POINT_SPREADS then %>
				<h3>Point Spreads</h3>

				<p>If you use point spreads, you should establish a regular day and time to enter them each week, so your players will know when they can make their entries.
				Be sure to set the point spreads for early games soon enough for players to make those picks on time.</p>

				<p>If you must make any changes to the point spreads, be sure to notify players in case they have already made picks for those games.</p>

				<p>If you wish, you can avoid any tie games by always setting a point spread that includes a &frac12; point.</p>
<%	end if %>
				<h3>Making or Updating Player Entries</h3>

				<p>As the Administrator, you can use any of the pool entry forms to make or edit picks on behalf of a player, even if picks have been locked.
				You may also delete entries for any pool provided the final results have not been entered.</p>

				<h3>Maintaining User Accounts</h3>

				<p>User accounts are intended to track payments made by each player.
				They are not used to record pool winnings.
				Instead, winnings should be paid out to the winning player or players at the conclusion of each pool.</p>

				<p>Whenever a player makes a payment, you should create a transaction record for it using the <a href="manageAccounts.asp">Manage Accounts</a> form.
				You can also enter a negative amount to debit the account if you need to refund money to the player.</p>

				<p>Note that you cannot delete or edit these transaction records.
				If you make a mistake when entering a transaction, you'll need to correct it by adding a new transaction.</p>

				<p>You can edit any player's profile to update contact information
<%	if SERVER_EMAIL_ENABLED then %>
				or change email notifications
<%	end if %>
				using the <a href="editProfile.asp">Edit Profile</a> page.
				You also have the option of disabling a player, preventing him from making pool
<%	if ENABLE_MESSAGE_BOARD then %>
				entries or posting on the message board.
<%	else %>
				entries.
<%	end if %>
				Disabled players can be reinstated at any time.</p>
<%	if ENABLE_PAYPAL_ADDON then %>
				<h3>Notes on PayPal Payments</h3>

				<p>Online payments made via the <a href="makePayment.asp">Make Payment</a> form are tracked using PayPal's notification system.
				<em>Once a payment clears,</em> it should automatically be recorded on the player's account as a credit.
				Note that it may take several minutes for the notification process to complete.</p>

				<p>These payments will have an invoice code starting with <code><% = PAYPAL_INVOICE_PREFIX  %></code>.
				If ever there is a discrepancy on a payment, log on to your PayPal account and check the status of the payment in question.
				You can also use the <a href="paymentLog.asp">Online Payment Log</a> to view details of all PayPal notifications that have been received.
				Note that Eastern Time is used when logging the date and time of notifications.</p>

				<p>If you refund one of these payments, the player's account will be automatically updated to reflect the payment reversal.
				Therefore, DO NOT USE REFUNDS TO PAY WINNINGS as this would incorrectly debit the player's account.</p>
<%	end if %>
				<h3>Recalculating Pool Results</h3>

				<p>To improve performance, the application stores many calculated values (such as weekly player scores) in the database.
				This allows that data to be accessed quickly by eliminating the need perform those calculations over and over every time they are needed for display.</p>

				<p>You should never need to worry about this during normal use.
				The application is designed to manage these stored values automatically.
				<em>A situation can occur, however, if you were to alter the database outside of the application or if you were to change some of the pool options after play has started.</em></p>

				<p>Should you ever find that pool results appear to be incorrect,
				you can fix them using the <a href="resetResults.asp">Reset Results</a> form.
				Just choose the pool results you wish to reset and submit the form.</p>

				<p>It does no harm to run this, you will not lose any data.
				It simply forces the application to recalculate the result data as needed.
				If you have a large number of players, some pages may take several seconds to load the first time they are accessed after the reset.
				But after that, the response time will return to normal.</p>
			</td>
		</tr>
	</table>
	</td></tr></table>
	</div>
<!-- #include file="includes/footer.asp" -->
</body>
</html>
