<%@ LANGUAGE="VBScript" %>
<!-- #include file="includes/config.asp" --><!-- #include file="includes/common.asp" --><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!-- #include file="includes/form.asp" -->
<%	'Limit access to the Administrator.
	call CheckAccess(true)

	'Open the database.
	call OpenDb() %>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<%	PageSubTitle = "Manage Accounts"
	call BuildPageHeader("", "") %>
<!-- #include file="includes/custom.asp" -->
</head>
<body>
<!-- #include file="includes/header.asp" -->
<!-- #include file="includes/menu.asp" -->
	<div id="contentSection">
	<table id="mainWrapper" border="0" cellpadding="0" cellspacing="0"><tr><td>
<%	'If there is form data, process it.
	dim username, description, amount
	dim sql, rs
	if Request.ServerVariables("Content_Length") > 0 and not IsCancelRequest() then
		username = Trim(Request.Form("username"))
		description = Trim(Request.Form("description"))
		amount = Trim(Request.Form("amount"))
		if username = "" then
			FormFieldErrors.Add "username", "A username is required."
		end if
		if description = "" then
			FormFieldErrors.Add "description", "A description is required."
		end if
		if amount = "" then
			FormFieldErrors.Add "amount", "An amount is required."
		elseif not IsNumeric(amount) then
			FormFieldErrors.Add "amount", "Amount must be numeric."
		elseif CDbl(amount) = 0 then
			FormFieldErrors.Add "amount", "Amount cannot be zero."
		elseif CDbl(amount) <> Round(amount, 2) then
			FormFieldErrors.Add "amount", "Amount is invalid."
		end if

		'If there were any errors, display the error messages. Otherwise, add
		'the transaction and redirect to the account summary display.
		if FormFieldErrors.Count > 0 then
			call DisplayFormFieldErrorsMessage("Error: Invalid fields. Please correct and resubmit.")
		else
			sql = "INSERT INTO Credits" _
			   & " (Username, [Timestamp], Description, Amount)" _
			   & " VALUES('" & SqlEscape(username) & "'," _
			   & " #" & GetCurrentDateTime() & "#," _
			   & " '" & SqlEscape(description) & "'," _
			   & " " & amount & ")"
			call DbConn.Execute(sql)
			Response.Redirect("accountSummary.asp?username=" & username)
		end if
	end if

	'Get a list of users and build the form.
	dim users
	users = GetUserList(true)
	if IsArray(users) then %>
	<form action="<% = Request.ServerVariables("SCRIPT_NAME") %>" method="post">
		<table class="main fixed" border="0" cellpadding="0" cellspacing="0">
			<tr class="header bottomEdge">
				<th align="left">Add an Account Transaction</th>
			</tr>
			<tr>
				<td class="freeForm">
					<p>Select a username, enter a description and amount and hit <code>Add</code> to add the transaction.</p>
					<table border="0" cellpadding="0" cellspacing="0">
						<tr valign="middle">
							<td><strong>Username:</strong></td>
							<td>&nbsp;
								<select name="username" class="<% = StyleFormField("", "username") %>">
									<% call DisplayUserSelectList(users, username) %>
								</select>
							</td>
						</tr>
						<tr valign="middle">
							<td><strong>Description:</strong></td>
							<td>&nbsp;&nbsp;<input type="text" name="description" value="<% = description %>" size="40" maxlength="50" class="<% = StyleFormField("", "description") %>" /></td>
						</tr>
						<tr valign="middle">
							<td><strong>Amount:</strong></td>
							<td>$<input type="text" name="amount" value="<% = amount %>" size="4" class="<% = StyleFormField("numeric", "amount") %>" /></td>
						</tr>
					</table>
					<p>Transactions cannot be edited or deleted.
					If you make a mistake, you must correct it by adding a new transaction.</p>
				</td>
			</tr>
		</table>
		<p><input type="submit" name="submit" value="Add" class="button" />&nbsp;<input type="submit" name="submit" value="Cancel" class="button" /></p>
	</form>
<%	else %>
	<table class="main fixed" border="0" cellpadding="0" cellspacing="0">
		<tr class="header bottomEdge">
			<th align="left">Add Account Transaction</th>
		</tr>
		<tr>
			<td align="center"><em>No users found.</em></td>
		</tr>
	</table>
<% end if %>
	</td></tr></table>
	</div>
<!-- #include file="includes/footer.asp" -->
</body>
</html>