<%@ LANGUAGE="VBScript" %>
<!-- #include file="includes/config.asp" --><!-- #include file="includes/common.asp" --><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<%	'Require login to access the page.
	call CheckAccess(false) %>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<%	PageSubTitle = "Payment Complete"
	call BuildPageHeader("", "") %>
<!-- #include file="includes/custom.asp" -->
</head>
<body>
<!-- #include file="includes/header.asp" -->
<!-- #include file="includes/menu.asp" -->
	<div id="contentSection">
	<table id="mainWrapper" border="0" cellpadding="0" cellspacing="0"><tr><td>
<%	'Get posted data.
	dim username, dateTime, txn, invoice, payment, handling, amount, status
	if Request.QueryString.Count > 0 or Request.Form.Count > 0 then
		username = Request("custom")
		dateTime = Request("payment_date")
		txn      = Request("txn_id")
		invoice  = Request("invoice")
		payment  = Request("payment_gross")
		handling = Request("handling_amount")
		status   = Request("payment_status")
		amount   = Round(payment - handling, 2)
	end if %>
		<table class="main fixed" border="0" cellpadding="0" cellspacing="0">
			<tr class="header bottomEdge">
				<th align="left">Pay Online via PayPal</th>
			</tr>
			<tr>
				<td class="freeForm">
					<h1>Payment Complete</h1>
					<p>Thank you for making your payment via <a href="http://www.paypal.com/">PayPal</a>.
					You may wish to print this page for your records.</p>
<%	if txn <> "" then %>
					<h2>Payment Details</h2>
					<table border="0" cellpadding="0" cellspacing="0">
						<tr>
							<td>Username:</td>
							<td align="right"><% = username %></td>
						</tr>
						<tr>
							<td>Date:</td>
							<td align="right"><% = dateTime %></td>
						</tr>
						<tr>
							<td>Transaction #:</td>
							<td align="right"><% = txn %></td>
						</tr>
						<tr>
							<td>Invoice #:</td>
							<td align="right"><% = invoice %></td>
						</tr>
						<tr><td colspan="2"></td></tr>
						<tr>
							<td>Payment status:</td>
							<td align="right"><% = status %></td>
						</tr>
						<tr><td colspan="2"></td></tr>
						<tr>
							<td>Total payment:</td>
							<td align="right"><% = FormatAmount(payment) %></td>
						</tr>
						<tr class="singleLine">
							<td>Handling fee:</td>
							<td align="right"><% = FormatAmount(-handling) %></td>
						</tr>
						<tr>
							<td>Account credit:</td>
							<td align="right" class="totalLine"><% = FormatAmount(amount) %></td>
						</tr>
					</table>
<%		if status = "Completed" then %>
					<p>Your <a href="accountSummary.asp">account summary</a> should reflect this payment within a few minutes.</p>
<% 		else %>
					<p>Your <a href="accountSummary.asp">account summary</a> should reflect this payment once it clears.
					Note that depending on your payment method, it may take a few days for PayPal to clear the transaction.</p>
<%		end if
	else %>
					<p>The administrator has been notified of your payment and will credit your pool account.</p>
<%	end if %>
					<p>If a pending payment has not cleared after a few days, or if a payment has cleared but does not show on your account, please contact the <a href="mailto:<% = ADMIN_EMAIL %>">Administrator</a>.
					Be sure to provide your username and the payment transaction or invoice number if possible.</p>
				</td>
			</tr>
		</table>
	</td></tr></table>
	</div>
<!-- #include file="includes/footer.asp" -->
</body>
</html>
