<%@ LANGUAGE="VBScript" %>
<!-- #include file="includes/config.asp" --><!-- #include file="includes/common.asp" --><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!-- #include file="includes/encryption.asp" -->
<%	'Limit access to the Administrator.
	call CheckAccess(true)

	'Open the database.
	call OpenDb() %>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<%	PageSubTitle = "Online Payment Log"
	call BuildPageHeader("", "") %>
<!-- #include file="includes/custom.asp" -->
</head>
<body>
<!-- #include file="includes/header.asp" -->
<!-- #include file="includes/menu.asp" -->
	<div id="contentSection">
	<table id="mainWrapper" border="0" cellpadding="0" cellspacing="0"><tr><td>
<%	'Build the display. %>
		<table class="main" border="0" cellpadding="0" cellspacing="0">
			<tr class="header bottomEdge">
				<th align="left" colspan="4">PayPal Notifications</th>
			</tr>
			<tr align="left" class="subHeader bottomEdge">
				<th>Date</th>
				<th>Time</th>
				<th>Data</th>
				<th>Response</th>
			</tr>
<%	dim sql, rs
	dim currentPage

	'Retrive records from the database.
	sql = "SELECT * FROM PaymentNotifications" _
	   & " ORDER BY Timestamp DESC"
	set rs = Server.CreateObject("ADODB.Recordset")
	rs.CursorLocation = 3
	rs.PageSize = PAYPAL_LOG_PAGE_SIZE
	rs.Open sql, DbConn

	'Set the current page.
	currentPage = Request.QueryString("page")
	if IsNumeric(currentPage) then
		currentPage = CLng(currentPage)
	else
		currentPage = 0
	end if
	if currentPage < 1 then
		currentPage = 1
	end if
	if currentPage > rs.PageCount then
		currentPage = rs.PageCount
	end if

	'Show posts.
	dim alt, i
	dim data
	alt = false
	if rs.PageCount > 0 then
		rs.AbsolutePage = currentPage
		for i = 1 to rs.PageSize
			if alt then %>
			<tr class="alt" valign="top">
<%			else %>
			<tr valign="top">
<%			end if
			alt = not alt
			data = Decrypt(rs.Fields("Data").Value)
			data = Replace(data, "<", "&lt;")
			data = Replace(data, ">", "&gt;")
			data = Replace(data, "&", "<br />") %>
				<td align="right"><% = FormatDateTime(rs.Fields("Timestamp").Value, vbShortDate) %></td>
				<td align="right" class="singleLine"><% = FormatFullTime(rs.Fields("Timestamp").Value) %></td>
				<td><div style="height: 6em; overflow: auto; width: 40em;"><% = data %></div></td>
				<td><% = rs.Fields("Response").Value %></td>
			</tr>
<%			rs.MoveNext
			if rs.EOF then
				exit for
			end if
		next
	else %>
			<tr>
				<td align="center" colspan="4" style="width: 40em;"><em>No records found.</em></td>
			</tr>
<%	end if %>
		</table>
<% 'Set up page navigation.
	if rs.PageCount > 1 then
		call DisplayGoToNavigation("page", rs.PageCount, "")
	end if %>
	</td></tr></table>
	</div>
<!-- #include file="includes/footer.asp" -->
</body>
</html>
<%	'**************************************************************************
	'* Local functions and subroutines.                                       *
	'**************************************************************************

	'--------------------------------------------------------------------------
	' Adds a transaction to the global list.
	'--------------------------------------------------------------------------
	sub AddTransaction(timestamp, description, amount)

		dim n

		n = UBound(transactions) + 1
		redim preserve transactions(n)
		set transactions(n) = new TransactionObj
		call transactions(n).setData(timestamp, description, amount)

	end sub

	'**************************************************************************
	'* Local class definitions.                                               *
	'**************************************************************************

	'--------------------------------------------------------------------------
	' TransactionObj: Holds information for a single account transaction.
	'--------------------------------------------------------------------------
	class TransactionObj

		public timestamp
		public description
		public amount

		private sub Class_Initialize()
		end sub

		private sub Class_Terminate()
		end sub

		public sub setData(t, d, a)

			'Set properties.
			timestamp = t
			description = d
			amount = a

		end sub

	end class %>