//*****************************************************************************
// Message board code.
//*****************************************************************************

//=============================================================================
// Create the TinyMCE control to be used for editing message board posts.
//=============================================================================
tinyMCE.init({
	content_css : "styles/common.css",
	editor_selector : "mceEditor",
	font_size_style_values : "xx-small,x-small,small,medium,large,x-large,xx-large",
	mode : "textareas",
	plugins : "advimage,advlink,emotions,iespell,inlinepopups,preview,safari",
	theme : "advanced",
	theme_advanced_buttons1 : "fontselect,fontsizeselect,|,forecolor,backcolor,|,bold,italic,underline,strikethrough,|,link,unlink,anchor,image",
	theme_advanced_buttons2 : "justifyleft,justifycenter,justifyright,justifyfull,|,bullist,numlist,|,charmap,emotions,|,undo,redo,|,removeformat,cleanup,code,iespell,preview,|,help",
	theme_advanced_buttons3 : "",
	theme_advanced_font_sizes : "xx-small,x-small,small,medium,large,x-large,xx-large",
	theme_advanced_toolbar_location : "bottom",
	theme_advanced_toolbar_align : "center",
	theme_advanced_path : false,
	theme_advanced_resizing : false
});

