<%@ LANGUAGE="VBScript" %>
<!-- #include file="includes/config.asp" --><!-- #include file="includes/common.asp" --><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!-- #include file="includes/email.asp" -->
<!-- #include file="includes/encryption.asp" -->
<!-- #include file="includes/form.asp" -->
<!-- #include file="includes/playoffs.asp" -->
<%	'Limit access to the Administrator.
	call CheckAccess(true)

	'Open the database.
	call OpenDb() %>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<%	PageSubTitle = "Update Playoffs Schedule"
	call BuildPageHeader("dateTimePicker.css", "dateTimePicker.js")
	if SHOW_TEAM_LOGOS then %>
	<script type="text/javascript">//<![CDATA[
	//=========================================================================
	//  Module: teamLogo
	//
	// Used to update the team logo shown next to a drop down list when a team
	// selection is changed.
	//=========================================================================
	var teamLogo = function () {

		//---------------------------------------------------------------------
		// Initializes the team logos.
		//---------------------------------------------------------------------
		function init() {

			var i, n;
			var isVisitor;

			// Add IDs to each visitor and home team logo span.
			var elList = document.getElementsByTagName("SPAN");
			n = 1;
			isVisitor = true;
			for (i = 0; i < elList.length; i++)
				if (domUtils.hasClass(elList[i], "teamLogo")) {
					if (isVisitor) {
						elList[i].id = "visitorLogo-" + n;
						isVisitor = !isVisitor;
					}
					else {
						elList[i].id = "homeLogo-" + n;
						isVisitor = !isVisitor;
						n++;
					}
				}

			// Scan the form and set the logo for any selected teams.
			var formEl = document.getElementById("scheduleForm");
			var el;
			i = 1;
			while ((el = formEl.elements["visitorID-" + i]) != null) {
				var id = formEl.elements["visitorID-" + i].value;
				setLogo("visitorLogo-" + i, id);
				i++;
			}
			i = 1;
			while ((el = formEl.elements["homeID-" + i]) != null) {
				var id = formEl.elements["homeID-" + i].value;
				setLogo("homeLogo-" + i, id);
				i++;
			}
		}

		//---------------------------------------------------------------------
		// Sets the specified team logo.
		//---------------------------------------------------------------------
		function setLogo(elId, teamId) {

			var el = document.getElementById(elId);
			if (el == null)
				return;
			var s = "teamLogo";
			if (teamId != "")
				s += " " + teamId;
			el.className = s;
		}

		//=====================================================================
		// Initialization code.
		//=====================================================================

		// Initialize on page load.
		domUtils.onready(init);

		//=====================================================================
		// Public properties and methods.
		//=====================================================================
		return {

			//-----------------------------------------------------------------
			// Change the logo to match the selected team.
			//-----------------------------------------------------------------
			update : function (elId, teamId) {

				setLogo(elId, teamId);
				return true;
			}
		}
	}();
	//]]></script>
<%	end if %>
<!-- #include file="includes/custom.asp" -->
</head>
<body>
<!-- #include file="includes/header.asp" -->
<!-- #include file="includes/menu.asp" -->
<!-- #include file="includes/dateTimePicker.asp" -->
	<div id="contentSection">
	<table id="mainWrapper" border="0" cellpadding="0" cellspacing="0"><tr><td>
<%	'If there is form data, process it.
	dim n, i
	dim gameID, gameDate, gameTime, visitorID, homeID
	dim notify, infoMsg
	dim sql, rs
	n = GetPlayoffsGameCount()
	if Request.ServerVariables("Content_Length") > 0 and not IsCancelRequest() then
		for i = 1 to n
			gameID    = Trim(Request.Form("id-"        & i))
			gameDate  = Trim(Request.Form("date-"      & i))
			gameTime  = Trim(Request.Form("time-"      & i))
			visitorID = Trim(Request.Form("visitorID-" & i))
			homeID    = Trim(Request.Form("homeID-"    & i))

			'Validate the form fields.
			if not IsDate(gameDate) then
				FormFieldErrors.Add "date-" & i, "'" & gameDate & "' is not a valid date."
			end if
			if not IsDate(gameTime) then
				FormFieldErrors.Add "time-" & i, "'" & gameTime & "' is not a valid time."
			end if
		next

		'If there were any errors, display the error summary message.
		'Otherwise, do the updates.
		if FormFieldErrors.Count > 0 then
			call DisplayFormFieldErrorsMessage("Error: Invalid fields. Please correct and resubmit.")
		else
			for i = 1 to n
				gameID    = Trim(Request.Form("id-"        & i))
				gameDate  = Trim(Request.Form("date-"      & i))
				gameTime  = Trim(Request.Form("time-"      & i))
				visitorID = Trim(Request.Form("visitorID-" & i))
				homeID    = Trim(Request.Form("homeID-"    & i))
				if visitorID = "" then
					visitorID = "NULL"
				else
					visitorID = "'" & visitorID & "'"
				end if
				if homeID = "" then
					homeID = "NULL"
				else
					homeID = "'" & homeID & "'"
				end if
				sql = "UPDATE PlayoffsSchedule SET" _
				   & " [DateTime] =" & DATABASE_DATETIME_DELIMITER & gameDate & " " & gameTime &  DATABASE_DATETIME_DELIMITER & ","  _
				   & " VisitorID = " & visitorID & ","  _
				   & " HomeID    = " & homeID _
				   & " WHERE GameID = " & gameID
				call DbConn.Execute(sql)
			next

			'Send out email notifications, if checked.
			infoMsg = "Update successful."
			notify = Trim(Request.Form("notify"))
			if LCase(notify) = "true" then
				infoMsg = "Update successful, notifications sent."
				call SendNotifications()
			end if

			'Updates done, show an informational message.
			call DisplaySuccessMessage(infoMsg)
		end if
	end if

	'Build the display. %>
	<form id="scheduleForm" action="<% = Request.ServerVariables("SCRIPT_NAME") %>" method="post">
		<table class="main" border="0" cellpadding="0" cellspacing="0">
<%	'Get teams.
	dim rsTeams
	set rsTeams = GetPlayoffsTeamsRecordset()

	'Get games.
	dim lastRound, gameRound
	dim alt
	sql = "SELECT * FROM PlayoffsSchedule ORDER BY Round, [DateTime]"
	set rs = DbConn.Execute(sql)
	if not (rs.EOF and rs.BOF) then
		n = 1
		lastRound = 0
		alt = false
		do while not rs.EOF
			gameID    = rs.Fields("GameID").Value
			gameRound = rs.Fields("Round").Value
			gameDate  =  FormatDate(rs.Fields("DateTime").Value)
			gameTime  =  FormatTime(rs.Fields("DateTime").Value)
			visitorID = rs.Fields("VisitorID").Value
			homeID    = rs.Fields("HomeID").Value

			if gameRound <> lastRound then
				lastRound = gameRound
				alt = false
				if gameRound = 1 then %>
			<tr class="header bottomEdge">
<%				else %>
			<tr class="header topEdge bottomEdge">
<%			end if %>
				<th align="left" colspan="8"><% = PlayoffRoundNames(gameRound - 1) %></th>
			</tr>
<%			end if
			if alt then %>
			<tr class="alt">
<%			else %>
			<tr>
<%			end if
			alt = not alt

			'If there were errors on the form post processing, restore those fields.
			if FormFieldErrors.Count > 0 then
				gameDate  = GetFieldValue("date-"      & n, gameDate)
				gameTime  = GetFieldValue("time-"      & n, gameTime)
				visitorID = GetFieldValue("visitorID-" & n, visitorID)
				homeID    = GetFieldValue("homeID-"    & n, homeID)
			end if %>
				<td align="right"><input type="hidden" name="id-<% = n %>" value="<% = gameID %>" /><input type="text" name="day-<% = n %>" value="<% = WeekdayName(Weekday(gameDate), true) %>" size="3" class="readonly" readonly="readonly" /></td>
				<td><input type="text" name="date-<% = n %>" value="<% = FormatFullDate(gameDate) %>" size="10" class="<% = StyleFormField("numeric readonly", "date-" & n) %>" readonly="readonly" /></td>
				<td><input type="image" src="graphics/calendar.png" onclick="return datePicker.open(this.form, 'day-<% = n %>', 'date-<% = n %>');" title="Select a new date." /></td>
				<td><input type="text" name="time-<% = n %>" value="<% = FormatFullTime(gameTime) %>" size="10" class="<% = StyleFormField("numeric readonly", "time-" & n) %>" readonly="readonly" /></td>
				<td><input type="image" src="graphics/clock.png" onclick="return timePicker.open(this.form, 'time-<% = n %>');" title="Select a new time." /></td>
				<td align="right">
					<% call DisplayTeamLogo("") %>
					<select name="visitorID-<% = n %>"<% if SHOW_TEAM_LOGOS then Response.Write(" onchange=""return teamLogo.update('visitorLogo-" & n & "', this.value);""") end if %>>
<%			call DisplayTeamsList(visitorID) %>
					</select>
				</td>
				<td><% = GetConjunction(gameRound) %></td>
				<td>
					<% call DisplayTeamLogo("") %>
					<select name="homeID-<% = n %>"<% if SHOW_TEAM_LOGOS then Response.Write(" onchange=""return teamLogo.update('homeLogo-" & n & "', this.value);""") end if %>>
<%			call DisplayTeamsList(homeID) %>
					</select>
				</td>
			</tr>
<%			rs.MoveNext
			n = n + 1
		loop
		if SERVER_EMAIL_ENABLED then %>
			<tr class="subHeader topEdge">
				<th align="left" colspan="8"><input type="checkbox" id="notify" name="notify" value="true" /> <label for="notify">Send update notification to users.</label></th>
			</tr>
<%		end if %>
		</table>
<%	end if %>
		<p><input type="submit" name="submit" value="Update" class="button" />&nbsp;<input type="submit" name="submit" value="Cancel" class="button" /></p>
	</form>
	</td></tr></table>
	</div>
<!-- #include file="includes/footer.asp" -->
</body>
</html>
<%	'**************************************************************************
	'* Local functions and subroutines.                                       *
	'**************************************************************************

	'--------------------------------------------------------------------------
	' Returns a recordset of teams.
	'--------------------------------------------------------------------------
	function GetPlayoffsTeamsRecordset()

		dim n
		dim sql, rs

		'If all the playoffs teams have been identified, return only those.
		n = NumberConferences * NumberPlayoffsSeeds
		sql = "SELECT COUNT(*) AS Total FROM Teams WHERE PlayoffsSeed IS NOT NULL"
		set rs = DbConn.Execute(sql)
		if not (rs.EOF and rs.BOF) then
			if rs.Fields("Total").Value = n then
				sql = "SELECT * FROM Teams" _
				   & " WHERE PlayoffsSeed IS NOT NULL" _
				   & " ORDER BY City, Name"
				set GetPlayoffsTeamsRecordset = DbConn.Execute(sql)
				exit function
			end if
		end if

		'Otherwise, return all teams.
		set GetPlayoffsTeamsRecordset = GetTeamsRecordset()

	end function

	'--------------------------------------------------------------------------
	' Builds a drop down list of teams with the given team selected.
	'--------------------------------------------------------------------------
	sub DisplayTeamsList(selectedTeamID)

		dim numTabs
		dim str, i

		numTabs = 6
		str = String(numTabs, vbTab) & "<option value=""""></option>" & vbCrLf
		rsTeams.MoveFirst
		do while not rsTeams.EOF
			str = str & String(numTabs, vbTab) & "<option value=""" & rsTeams.Fields("TeamID").Value & """"
			if rsTeams.Fields("TeamID").Value = selectedTeamID then
				str = str & " selected=""selected"""
			end if
			str = str & ">" & rsTeams.Fields("City").Value & " " & rsTeams.Fields("Name").Value & "</option>" & vbCrLf
			rsTeams.MoveNext
		loop

		Response.Write(str)

	end sub

	'--------------------------------------------------------------------------
	' Sends an email notification to any users who have elected to receive
	' them.
	'--------------------------------------------------------------------------
	sub SendNotifications()

		dim subj, body
		dim sql, rs
		dim gameRound, lastRound
		dim vid, hid
		dim list, email

		subj = "Football Pool Game Schedule Update Notification"
		body = "The schedule for playoff games has been updated." & vbCrLf & vbCrLf

		'Show the playoffs schedule.
		sql = "SELECT * FROM PlayoffsSchedule ORDER BY Round, [DateTime]"
		set rs = DbConn.Execute(sql)
		lastRound = 0
		do while not rs.EOF
			gameRound = rs.Fields("Round").Value
			if gameRound <> lastRound then
				body = body & vbCrLf & PlayoffRoundNames(gameRound - 1) & vbCrLf
				lastRound = gameRound
			end if
			vid = rs.Fields("VisitorID").Value
			hid = rs.Fields("HomeID").Value
			if IsNull(vid) then
				vid = "[TBD]"
			end if
			if IsNull(hid) then
				hid = "[TBD]"
			end if
			body = body _
			     & WeekdayName(Weekday(rs.Fields("DateTime").Value), true) _
		    	 & " " & FormatDate(rs.Fields("DateTime").Value) _
				 & " " & FormatTime(rs.Fields("DateTime").Value) _
			     & " " & vid & " " & GetConjunction(gameRound) & " " & hid & vbCrLf
			rs.MoveNext
		loop
		body = body & vbCrLf & "(All times Eastern)" & vbCrLf

		list = GetNotificationList("NotifyOfScheduleUpdates")
		for each email in list
			call SendMail(email, subj, body)
		next

	end sub %>

