<%@ LANGUAGE="VBScript" %>
<!-- #include file="includes/config.asp" --><!-- #include file="includes/common.asp" --><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!-- #include file="includes/email.asp" -->
<!-- #include file="includes/encryption.asp" -->
<!-- #include file="includes/form.asp" -->
<!-- #include file="includes/superbowl.asp" -->
<%	'Limit access to the Administrator.
	call CheckAccess(true)

	'Open the database.
	call OpenDb() %>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<%	PageSubTitle = "Enter Super Bowl Results"
	call BuildPageHeader("", "") %>
<!-- #include file="includes/custom.asp" -->
</head>
<body>
<!-- #include file="includes/header.asp" -->
<!-- #include file="includes/menu.asp" -->
	<div id="contentSection">
	<table id="mainWrapper" border="0" cellpadding="0" cellspacing="0"><tr><td>
<%	'Get the Super Bowl teams.
	dim sql, rs
	dim vid, hid
	vid = ""
	hid = ""
	set rs = SuperBowlScheduleRecordset()
	if not (rs.EOF and rs.BOF) then
		vid = rs.Fields("VisitorID").Value
		hid = rs.Fields("HomeID").Value
	end if

	'If there is form data, process it.
	dim n, i
	dim propID, desc, hdr, result
	dim notify, infoMsg
	if Request.ServerVariables("Content_Length") > 0 and not IsCancelRequest() then
		n = GetSuperBowlPropCount()
		for i = 1 to n
			propID = Trim(Request.Form("id-"     & i))
			desc   = Trim(Request.Form("desc-"   & i))
			hdr    = Trim(Request.Form("hdr-"    & i))
			result = Trim(Request.Form("result-" & i))

			'Determine if there is a result.
			if Len(result) = 0 then
				result = "NULL"
			else
				result = "'" & result & "'"
			end if

			'Update each proposition.
			sql = "UPDATE SuperBowlProps" _
			  & " SET  Result = " & result _
			  & " WHERE PropID = " & propID
			call DbConn.Execute(sql)
		next

		'Send out email notifications, if checked.
		infoMsg = "Update successful."
		notify = Trim(Request.Form("notify"))
		if LCase(notify) = "true" then
			infoMsg = "Update successful, notifications sent."
			call SendNotifications()
		end if

		'Updates done, show an informational message.
		call DisplaySuccessMessage(infoMsg)
	end if

	'Build the display. %>
	<form action="<% = Request.ServerVariables("SCRIPT_NAME") %>" method="post">
		<table class="main" border="0" cellpadding="0" cellspacing="0">
			<tr class="header">
				<th>&nbsp;</th>
				<th align="left">Super Bowl Proposition</th>
				<th><% if IsNull(vid) then Response.Write(TO_BE_DETERMINED_STR ) else Response.Write(vid) end if %></th>
				<th><% if IsNull(hid) then Response.Write(TO_BE_DETERMINED_STR ) else Response.Write(hid) end if %></th>
				<th><% = TIE_STR %></th>
				<th>Clear</th>
			</tr>
<%	'Get proposition bets.
	dim alt
	sql = "SELECT * FROM SuperBowlProps ORDER BY PropID"
	set rs = DbConn.Execute(sql)
	n = 1
	alt = false
	do while not rs.EOF
		propID   = rs.Fields("PropID").Value
		desc     = rs.Fields("Description").Value
		hdr      = rs.Fields("Header").Value
		result   = rs.Fields("Result").Value
		if alt then %>
			<tr class="alt singleLine">
<%		else %>
			<tr class="singleLine">
<%		end if
		alt = not alt %>
				<td align="right"><input type="hidden" name="id-<% = n %>" value="<% = propID %>" /><% = n %>.</td>
				<td><% = desc %></td>
				<td align="center"><span class="<% = StyleFormField("fieldWrapper", "result-" & n) %>"><input type="radio" id="result-<% = n %>-A" name="result-<% = n %>" value="<% = vid %>"<% if result = vid then Response.Write(CHECKED_ATTRIBUTE) end if %> /></span><label for="result-<% = n %>-A"><% call DisplayTeamLogo(vid) %></label></td>
				<td align="center"><span class="<% = StyleFormField("fieldWrapper", "result-" & n) %>"><input type="radio" id="result-<% = n %>-N" name="result-<% = n %>" value="<% = hid %>"<% if result = hid then Response.Write(CHECKED_ATTRIBUTE) end if %> /></span><label for="result-<% = n %>-N"><% call DisplayTeamLogo(hid) %></label></td>
				<td align="center"><span class="<% = StyleFormField("fieldWrapper", "result-" & n) %>"><input type="radio" id="result-<% = n %>-T" name="result-<% = n %>" value="<% = TIE_STR %>"<% if result = TIE_STR then Response.Write(CHECKED_ATTRIBUTE) end if %> /></span></td>
				<td align="center"><span class="<% = StyleFormField("fieldWrapper", "result-" & n) %>"><input type="radio" id="result-<% = n %>-C" name="result-<% = n %>" value="" /></span></td>
			</tr>
<%		rs.MoveNext
		n = n + 1
	loop
	if SERVER_EMAIL_ENABLED then %>
			<tr class="subHeader topEdge">
				<th align="left" colspan="6"><input type="checkbox" id="notify" name="notify" value="true" /> <label for="notify">Send update notification to users.</label></th>
			</tr>
<%	end if %>
		</table>
		<p><input type="submit" name="submit" value="Update" class="button" />&nbsp;<input type="submit" name="submit" value="Cancel" class="button" /></p>
	</form>
	</td></tr></table>
	</div>
<!-- #include file="includes/footer.asp" -->
</body>
</html>
<%	'**************************************************************************
	'* Local functions and subroutines.                                       *
	'**************************************************************************

	'--------------------------------------------------------------------------
	' Sends an email notification to any users who have elected to receive
	' them.
	'--------------------------------------------------------------------------
	sub SendNotifications()

		dim subj, body
		dim sql, rs
		dim n, num, desc, result
		dim list, email

		subj = "Super Bowl Pool Update Notification"
		body = "Results for the Super Bowl pool have been updated." & vbCrLf & vbCrLf

		'Show the playoffs schedule.
		sql = "SELECT * FROM SuperBowlProps ORDER BY PropID"
		set rs = DbConn.Execute(sql)
		n = 1
		do while not rs.EOF
			desc = rs.Fields("Description").Value
			result = rs.Fields("Result").Value
			num = n
			if n < 10 then
				num = " " & num
			end if
			if IsNull(result) then
				result = "n/a"
			end if
			body = body & num & ". " & desc & " - " & result & vbCrLf
			n = n + 1
			rs.MoveNext
		loop
		body = body & vbCrLf

		list = GetNotificationList("NotifyOfResultUpdates")
		for each email in list
			call SendMail(email, subj, body)
		next

	end sub %>

