<%@ LANGUAGE="VBScript" %>
<!-- #include file="includes/config.asp" --><!-- #include file="includes/common.asp" --><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!-- #include file="includes/form.asp" -->
<!-- #include file="includes/passwords.asp" -->
<%	'Open the database.
	call OpenDb() %>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<%	PageSubTitle = "User Login"
	call BuildPageHeader("", "")

	'If this is not a postback, add client-side script to set form field focus.
	if Request.ServerVariables("Content_Length") = 0 then %>
	<script type="text/javascript">//<![CDATA[
	//=========================================================================
	// If a username is stored in a cookie, preselect it on the form.
	//=========================================================================
	domUtils.onready(function () {

		try {

			// Check for the username cookie.
			var username = domUtils.getCookie("<% = SESSION_USERNAME_KEY %>");
			if (username.length > 0) {

				// Look for a match in the drop down list.
				var selectEl = document.getElementById("username");
				if (selectEl != null) {
					var found = false;
					var i = 0;
					do {
						if (selectEl.options[i].value == username) {
							selectEl.options[i].selected = true;
							found = true;
						}
						else
							i++;
					} while (i < selectEl.options.length && !found);

					// If found, set focus on the password field and exit.
					if (found) {
						document.getElementById("password").focus();
						return;
					}
				}
			}

			// Otherwise, set focus on the drop down list.
			document.getElementById("username").focus();
		}
		catch (ex) {}
	});
	//]]></script>
<%	end if %>
<!-- #include file="includes/custom.asp" -->
</head>
<body>
<!-- #include file="includes/header.asp" -->
<!-- #include file="includes/menu.asp" -->
	<div id="contentSection">
	<table id="mainWrapper" border="0" cellpadding="0" cellspacing="0"><tr><td>
<%	'If there is form data, process it.
	dim username, password
	dim sql, rs
	if Request.ServerVariables("Content_Length") > 0 then
		username = Trim(Request.Form("username"))
		password = Trim(Request.Form("password"))
		if username = "" then
	        FormFieldErrors.Add "username", "Please select your user name and enter your password."
	        FormFieldErrors.Add "password", ""
		elseif password = "" then
			FormFieldErrors.Add "password", "Please enter your password."
		end if

		'If the data is good, check the username and password.
		if FormFieldErrors.Count = 0 then
			sql = "SELECT * FROM Users WHERE Username = '" & SqlEscape(username) & "'"
			set rs = DbConn.Execute(sql)
			if rs.EOF and rs.BOF then
		        FormFieldErrors.Add "username", "Username '" & username & "' not found."
			elseif Hash(rs.Fields("Salt").Value & password) <> rs.Fields("Password").Value then
		        FormFieldErrors.Add "password", "Password is incorrect."
			else
		   		'Save the username and team theme ID in the Session and
				'redirect to the home page.
				Session(SESSION_USERNAME_KEY) = rs.Fields("Username").Value
				Session(SESSION_THEME_KEY)    = rs.Fields("TeamThemeID").Value
				Response.Redirect("./")
			end if
		end if

		'Show error messages.
		call DisplayFormFieldErrorsMessage("Login failed, see below:")

	end if %>
	<form action="<% = Request.ServerVariables("SCRIPT_NAME") %>" method="post">
		<table class="main fixed" border="0" cellpadding="0" cellspacing="0">
			<tr class="header bottomEdge">
				<th align="left">User Login</th>
			</tr>
			<tr>
				<td class="freeForm">
					<p>To login, select your name from the list, enter your password and hit the <code>Login</code> button.
					If you do not already have an account, you can <a href="userSignUp.asp">sign up</a> for one (you can review the <a href="helpRules.asp">pool rules</a> before joining).</p>
					<table border="0" cellpadding="0" cellspacing="0">
						<tr valign="middle">
							<td><strong>Username:</strong></td>
							<td>
								<select id="username" name="username" class="<% = StyleFormField("", "username") %>">
									<% call DisplayUserSelectList(GetUserList(false), username) %>
								</select>
							</td>
						</tr>
						<tr valign="middle">
							<td><strong>Password:</strong></td>
							<td><input type="password" id="password" name="password" value="" class="<% = StyleFormField("", "password") %>" /></td>
						</tr>
					</table>
					<p><em>Passwords are case-sensitive.</em>
					If you have forgotten your password or cannot log in for whatever reason, contact the <a href="mailto:<% = ADMIN_EMAIL %>">Administrator</a> for help.</p>
				</td>
			</tr>
		</table>
		<p><input type="submit" name="submit" value="Login" class="button" /></p>
	</form>
	</td></tr></table>
	</div>
<!-- #include file="includes/footer.asp" -->
</body>
</html>