<%@ LANGUAGE="VBScript" %>
<!-- #include file="includes/config.asp" --><!-- #include file="includes/common.asp" --><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!-- #include file="includes/weekly.asp" -->
<%	'Require login to access the page.
	call CheckAccess(false)

	'Open the database.
	call OpenDb() %>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<%	PageSubTitle = "Weekly Pool Results"
	call BuildPageHeader("tableSort.css", "tableSort.js") %>
	<script type="text/javascript">//<![CDATA[
	//=========================================================================
	// Define the results table sort commands.
	//=========================================================================
	var resultsNameSort = {
		initialSort : true,
		tbodyID     : "resultsBody",
		theadID     : "resultsHead",
		sortColumns : [
			{ column : 0, descending : false }
		],
		highlightColumns : {
			bodyColumns : [],
			headColumns : []
		}
	}
<%	if USE_CONFIDENCE_POINTS then %>
	var resultsCorrectSort = {
		tbodyID     : "resultsBody",
		theadID     : "resultsHead",
		sortColumns : [
			{ column : -6, descending : true  },
			{ column :  0, descending : false }
		],
		highlightColumns : {
			bodyColumns : [-6, -5],
			headColumns : [-4]
		}
	}
	var resultsTBSort = {
		tbodyID     : "resultsBody",
		theadID     : "resultsHead",
		sortColumns : [
			{ column : -4, descending : true  },
			{ column :  0, descending : false }
		],
		highlightColumns : {
			bodyColumns : [-4],
			headColumns : [-3]
		}
	}
	var resultsScoreSort = {
		tbodyID     : "resultsBody",
		theadID     : "resultsHead",
		sortColumns : [
			{ column : -2, descending : true  },
			{ column : -3, descending : false },
			{ column : -4, descending : true  },
			{ column :  0, descending : false }
		],
		highlightColumns : {
			bodyColumns : [-3, -2, -1],
			headColumns : [-2, -1]
		}
	}
<%	else %>
	var resultsTBSort = {
		tbodyID     : "resultsBody",
		theadID     : "resultsHead",
		sortColumns : [
			{ column : -4, descending : true  },
			{ column :  0, descending : false }
		],
		highlightColumns : {
			bodyColumns : [-4],
			headColumns : [-3]
		}
	}
	var resultsScoreSort = {
		tbodyID     : "resultsBody",
		theadID     : "resultsHead",
		sortColumns : [
			{ column : -1, descending : true  },
			{ column : -3, descending : false },
			{ column : -4, descending : true  },
			{ column :  0, descending : false }
		],
		highlightColumns : {
			bodyColumns : [-3, -2, -1],
			headColumns : [-2, -1]
		}
	}
<%	end if
	if USE_CONFIDENCE_POINTS then %>
	//=========================================================================
	// Define the projected scores table sort commands.
	//=========================================================================
	var projectedNameSort = {
		initialSort : true,
		tbodyID     : "projectedBody",
		theadID     : "projectedHead",
		sortColumns : [
			{ column : 0, descending : false }
		],
		highlightColumns : {
			bodyColumns : [],
			headColumns : []
		}
	}
	var projectedVVSort = {
		tbodyID     : "projectedBody",
		theadID     : "projectedHead",
		sortColumns : [
			{ column : 1, descending : true  },
			{ column : 0, descending : false }
		],
		highlightColumns : {
			bodyColumns : [1],
			headColumns : [1]
		}
	}
	var projectedHVSort = {
		tbodyID     : "projectedBody",
		theadID     : "projectedHead",
		sortColumns : [
			{ column : 2, descending : true  },
			{ column : 0, descending : false }
		],
		highlightColumns : {
			bodyColumns : [2],
			headColumns : [2]
		}
	}
	var projectedTVSort = {
		tbodyID     : "projectedBody",
		theadID     : "projectedHead",
		sortColumns : [
			{ column : 3, descending : true  },
			{ column : 0, descending : false }
		],
		highlightColumns : {
			bodyColumns : [3],
			headColumns : [3]
		}
	}
	var projectedVHSort = {
		tbodyID     : "projectedBody",
		theadID     : "projectedHead",
		sortColumns : [
			{ column : 4, descending : true  },
			{ column : 0, descending : false }
		],
		highlightColumns : {
			bodyColumns : [4],
			headColumns : [4]
		}
	}
	var projectedHHSort = {
		tbodyID     : "projectedBody",
		theadID     : "projectedHead",
		sortColumns : [
			{ column : 5, descending : true  },
			{ column : 0, descending : false }
		],
		highlightColumns : {
			bodyColumns : [5],
			headColumns : [5]
		}
	}
	var projectedTHSort = {
		tbodyID     : "projectedBody",
		theadID     : "projectedHead",
		sortColumns : [
			{ column : 6, descending : true  },
			{ column : 0, descending : false }
		],
		highlightColumns : {
			bodyColumns : [6],
			headColumns : [6]
		}
	}
	var projectedVTSort = {
		tbodyID     : "projectedBody",
		theadID     : "projectedHead",
		sortColumns : [
			{ column : 7, descending : true  },
			{ column : 0, descending : false }
		],
		highlightColumns : {
			bodyColumns : [7],
			headColumns : [7]
		}
	}
	var projectedHTSort = {
		tbodyID     : "projectedBody",
		theadID     : "projectedHead",
		sortColumns : [
			{ column : 8, descending : true  },
			{ column : 0, descending : false }
		],
		highlightColumns : {
			bodyColumns : [8],
			headColumns : [8]
		}
	}
	var projectedTTSort = {
		tbodyID     : "projectedBody",
		theadID     : "projectedHead",
		sortColumns : [
			{ column : 9, descending : true  },
			{ column : 0, descending : false }
		],
		highlightColumns : {
			bodyColumns : [9],
			headColumns : [9]
		}
	}
	var projectedVSort = {
		tbodyID     : "projectedBody",
		theadID     : "projectedHead",
		sortColumns : [
			{ column : 1, descending : true  },
			{ column : 0, descending : false }
		],
		highlightColumns : {
			bodyColumns : [1],
			headColumns : [1]
		}
	}
	var projectedHSort = {
		tbodyID     : "projectedBody",
		theadID     : "projectedHead",
		sortColumns : [
			{ column : 2, descending : true  },
			{ column : 0, descending : false }
		],
		highlightColumns : {
			bodyColumns : [2],
			headColumns : [2]
		}
	}
	var projectedTSort = {
		tbodyID     : "projectedBody",
		theadID     : "projectedHead",
		sortColumns : [
			{ column : 3, descending : true  },
			{ column : 0, descending : false }
		],
		highlightColumns : {
			bodyColumns : [3],
			headColumns : [3]
		}
	}
<%	end if %>
	//]]></script>
<!-- #include file="includes/custom.asp" -->
</head>
<body>
<!-- #include file="includes/header.asp" -->
<!-- #include file="includes/menu.asp" -->
	<div id="contentSection">
	<table id="mainWrapper" border="0" cellpadding="0" cellspacing="0"><tr><td>
<%	'Get the week to display.
	dim week
	week = GetRequestedWeek()

	'Find the number of games for this week.
	dim numGames
	numGames = GetGameCount(week)

	'See if this user is missing any picks for this week.
	dim username
	dim tbTarget, tbGuess
	dim sql, rs
	username = Session(SESSION_USERNAME_KEY)
	if IsAdmin() then
		username = Request.QueryString("username")
	end if
	tbTarget = GetWeeklyTiebreakerActual(week)
	tbGuess  = GetWeeklyTiebreakerGuess(username, week)
	if username <> "" then
		if tbTarget = "" and tbGuess <> "" then
			sql = "SELECT COUNT(*) AS Total" _
			   & " FROM WeeklyPicks, Schedule" _
			   & " WHERE Username = '" & SqlEscape(username) & "'" _
			   & " AND Week = " & week _
			   & " AND WeeklyPicks.GameID = Schedule.GameID" _
			   & " AND Pick <> ''"
			set rs = DbConn.Execute(sql)
			if not (rs.EOF and rs.BOF) then
				if rs.Fields("Total").Value < numGames then
					call DisplayWarningMessage("Warning: You are missing one or more picks for this week.")
				end if
			end if
		end if
	end if

	'Determine if all games for the week have been locked.
	dim allLocked
	allLocked = IsWeekLocked(week)

	'Build the display.
	dim gameCols, otherCols
	gameCols  = numGames
	otherCols = 5
	if USE_CONFIDENCE_POINTS then
		otherCols = otherCols + 2
	end if %>
	<table class="main" border="0" cellpadding="0" cellspacing="0">
		<thead id="resultsHead">
			<tr class="header bottomEdge sortable" valign="bottom">
				<th align="left"><a href="#" onclick="this.blur(); return tableSort.sort(resultsNameSort);" title="Sort by name.">Name</a></th>
				<th colspan="<% = gameCols %>">Week <% = week %></th>
<%	if USE_CONFIDENCE_POINTS then %>
				<th colspan="2"><a href="#" onclick="this.blur(); return tableSort.sort(resultsCorrectSort);" title="Sort by number of correct picks.">Correct</a></th>
<%	end if %>
				<th><a href="#" onclick="this.blur(); return tableSort.sort(resultsTBSort);" title="Sort by tiebreaker.">TB</a></th>
				<th>&nbsp;</th>
				<th colspan="2"><a href="#" onclick="this.blur(); return tableSort.sort(resultsScoreSort);" title="Sort by score.">Score</a></th>
			</tr>
		</thead>
<%	'Show the pot/payout.
	dim numEntries
	dim list, pot, str
	numEntries = GetWeeklyEntryCount(week)
	if numEntries > 0 then %>
		<tfoot>
<%		pot = GetWeeklyPotAmount(week)
		list = GetWeeklyWinnersList(week)
		if IsArray(list) then
			if UBound(list) > 0 then
				str = "Winners: " & Join(list, ", ") & " (" & FormatAmount(pot / (UBound(list) + 1)) & " each)"
			else
				str = "Winner: " & Join(list, ", ") & " (" & FormatAmount(pot) & ")"
			end if %>
			<tr class="header topEdge"><th align="left" colspan="<% = gameCols + otherCols %>"><% = str %></th></tr>
<%		else %>
			<tr class="subHeader topEdge"><th align="left" colspan="<% = gameCols + otherCols %>">Pot: <% = FormatAmount(pot) %></th></tr>
<%		end if %>
		</tfoot>
<%	end if %>
		<tbody id="resultsBody">
<%	dim completedGames
	dim users, currentUser
	dim leadConfScore
	dim i, j
	dim gameDateTime
	dim pick, conf, result, correctPick, giveTie
	dim pickScore, pickPct, confScore, confScoreDiff, tbDiff
	dim hidePick
	dim alt

	'Get the number of completed games.
	completedGames = GetCompletedGameCount(week)

	'Get the current user.
	currentUser = Session(SESSION_USERNAME_KEY)

	'Get user data.
	list = GetWeeklyPlayersList(week)
	if IsArray(list) then

		'Create an array of user objects.
		redim users(UBound(list))
		for i = 0 to UBound(list)
			set users(i) = new UserObj
			users(i).setData(list(i))
		next

		'If confidence points are used, get the current leading score.
		if USE_CONFIDENCE_POINTS and completedGames > 0 then
			leadConfScore = 0
			for i = 0 to UBound(users)
				if IsNumeric(users(i).confScore) then
					if users(i).confScore > leadConfScore then
						leadConfScore = users(i).confScore
					end if
				end if
			next
		end if

		'Display user picks and score.
		alt = false
		for i = 0 to UBound(users)
			if alt then %>
			<tr align="center" class="alt singleLine">
<%			else %>
			<tr align="center" class="singleLine">
<%			end if
			alt = not alt %>
				<td align="left"><% = users(i).name %></td>
<%			'Display picks for this user, highlighting the correct ones.
			sql = "SELECT * FROM WeeklyPicks, Schedule" _
			   & " WHERE Username = '" & SqlEscape(users(i).name) & "'" _
			   & " AND Week = " & week _
			   & " AND WeeklyPicks.GameID = Schedule.GameID" _
			   & " ORDER BY Schedule.DateTime,Schedule.VisitorID"
			set rs = DbConn.Execute(sql)
			do while not rs.EOF
				pick = rs.Fields("Pick").Value
				conf = rs.Fields("Confidence").Value

				'Determine if the pick should be hidden.
				hidePick = false
				if HIDE_OTHERS_PICKS and not allLocked and not IsAdmin() and currentUser <> users(i).name then
					gameDateTime = CDate(rs.Fields("DateTime").Value)
					if not IsDateTimePast(gameDateTime) then
						hidePick = true
					end if
				end if

				'Determine the correct pick.
				if USE_POINT_SPREADS then
					correctPick = rs.Fields("ATSResult").Value
				else
					correctPick = rs.Fields("Result").Value
				end if

				'If tie picks are not allowed and the game result was a tie,
				'give the player the pick.
				giveTie = false
				if not ALLOW_TIE_PICKS and correctPick = TIE_STR and pick <> "" then
					giveTie = true
				end if

				'Format the pick display.
				if pick = "" then
					pick = "---"
					conf = "--"
				elseif hidePick then
					pick = "XXX"
					conf = "xx"
				else
					if correctPick <> "" then
						if pick = correctPick then
							pick = FormatCorrectPick(pick)
						elseif giveTie then
							pick = FormatTie(pick)
						else
							pick = FormatIncorrectPick(pick)
						end if
					end if
				end if

				'When using point spreads, highlight the straight-up result.
				'if it matches the pick.
				if USE_POINT_SPREADS then
					if rs.Fields("Pick").Value = rs.Fields("Result").Value then
						pick = FormatWinner(pick)
					end if
				end if

				if USE_CONFIDENCE_POINTS then %>
				<td class="small"><% = pick %><br /><% = conf %></td>
<%				else %>
				<td><% = pick %></td>
<%				end if
				rs.MoveNext
			loop

			'Build the tiebreaker display.
			tbGuess = "--"
			tbDiff = "&nbsp;"
			if IsNumeric(users(i).tbGuess) then
				tbGuess = users(i).tbGuess
				if IsNumeric(tbTarget) then
					tbDiff = "(" & Abs(tbTarget - users(i).tbGuess) & ")"
				end if
			end if
			if hidePick then
				tbGuess = "XX"
			end if

			'Build the correct pick and score displays.
			pickScore  = "n/a"
			pickPct    = "&nbsp;"
			if completedGames > 0 then
				pickScore = users(i).pickScore
				pickPct = "(" & FormatPercentage(pickScore / completedGames) & ")"
				pickScore = pickScore & "/" & completedGames
			end if

			'For confidence points, show how far behind the leader this
			'user's score is.
			if USE_CONFIDENCE_POINTS then
				confScore = "n/a&nbsp;&nbsp;&nbsp;"
				confScoreDiff = "&nbsp;"
				if completedGames > 0 then
					confScore = users(i).confScore
					if confScore < leadConfScore then
						confScoreDiff = "(" & FormatScore(confScore -leadConfScore, false) & ")"
					elseif confScore = leadConfScore then
						confScoreDiff = "&nbsp;"
					end if
					confScore = FormatScore(confScore, true)
				end if
			end if

			if USE_CONFIDENCE_POINTS then %>
				<td align="right"><% = pickScore %></td>
				<td align="right"><% = pickPct %></td>
<%			end if %>
				<td align="right"><% = tbGuess %></td>
				<td align="right"><% = tbDiff %></td>
<%			if USE_CONFIDENCE_POINTS then %>
				<td align="right"><% = confScore %></td>
				<td align="right"><span class="small"><% = confScoreDiff %></span></td>
<%			else %>
				<td align="right"><% = pickScore %></td>
				<td align="right"><% = pickPct %></td>
<%			end if %>
			</tr>
<%		next
	else %>
			<tr class="noSort">
				<td>&nbsp;</td>
				<td align="center" colspan="<% = gameCols %>" style="width: 40em;"><em>No entries found.</em></td>
				<td colspan="<% = otherCols - 1 %>">&nbsp;</td>
			</tr>
<%	end if %>
		</tbody>
	</table>
<% 	'List links to view other weeks.
	call DisplayGoToNavigation("week", GetWeekCount(), "")

	'When confidence points are used and there are only one or two games left
	'undecided, show the projected final scores based on all possible outcomes.
	dim n
	dim gameID1, homeID1, visitorID1, visitor1, home1
	dim gameID2, homeID2, visitorID2, visitor2, home2
	dim visitor, home
	dim picksRs
	dim additionalScores, topScores
	dim descStr

	n = numGames - completedGames
	if USE_CONFIDENCE_POINTS and IsArray(users) and n > 0 and n <= 2 then

		redim additionalScores(UBound(users) + 1, 8)
		redim topScores(8)

		'Get the undecided games.
		sql = "SELECT Schedule.*," _
		   & " VTeams.City AS VCity, VTeams.Name AS VName, VTeams.DisplayName AS VDisplayName," _
		   & " HTeams.City AS HCity, HTeams.Name AS HName, HTeams.DisplayName AS HDisplayName" _
		   & " FROM Schedule, Teams AS VTEAMS, Teams AS HTEAMS" _
		   & " WHERE Schedule.VisitorID = VTeams.TeamID AND Schedule.HomeID = HTeams.TeamID" _
		   & " AND Week = " & week _
		   & " AND Result IS NULL" _
		   & " ORDER BY [DateTime], VTeams.City, VTeams.Name"
		set rs = DbConn.Execute(sql)
		if not (rs.EOF and rs.BOF) then
			gameID1    = rs.Fields("GameID").Value
			visitorID1 = rs.Fields("VisitorID").Value
			visitor1   = rs.Fields("VCity").Value
			homeID1    = rs.Fields("HomeID").Value
			home1      = rs.Fields("HCity").Value
			if rs.Fields("VDisplayName").Value <> "" then
				visitor1 = rs.Fields("VDisplayName").Value
			end if
			if rs.Fields("HDisplayName").Value <> "" then
				home1 = rs.Fields("HDisplayName").Value
			end if
			descStr = "<strong>" & visitor1 & " at " & home1 & "</strong>"
			rs.MoveNext
			if not rs.EOF then
				gameID2    = rs.Fields("GameID").Value
				visitorID2 = rs.Fields("VisitorID").Value
				visitor2   = rs.Fields("VCity").Value
				homeID2    = rs.Fields("HomeID").Value
				home2      = rs.Fields("HCity").Value
				if rs.Fields("VDisplayName").Value <> "" then
					visitor2 = rs.Fields("VDisplayName").Value
				end if
				if rs.Fields("HDisplayName").Value <> "" then
					home2 = rs.Fields("HDisplayName").Value
				end if
				descStr = descStr & " and <strong>" & visitor2 & " at " & home2 & "</strong> games"
			else
				descStr = descStr & " game"
			end if

			'Get all picks for those games.
			sql = "SELECT * FROM WeeklyPicks WHERE GameID = " & gameID1
			if gameID2 <> "" then
				sql = sql & " OR GameID = " & gameID2
			end if
			set picksRs = DbConn.Execute(sql)

			'Find the additional points each player would score in each
			'possible outcome.
			for i = 0 to UBound(users)
				if gameID2 <> "" then
					additionalScores(i, 0) = GetAdditionalScore(users(i).name, gameID1, visitorID1) + GetAdditionalScore(users(i).name, gameID2, visitorID2)
					additionalScores(i, 1) = GetAdditionalScore(users(i).name, gameID1, homeID1)    + GetAdditionalScore(users(i).name, gameID2, visitorID2)
					additionalScores(i, 2) = GetAdditionalScore(users(i).name, gameID1, TIE_STR)    + GetAdditionalScore(users(i).name, gameID2, visitorID2)
					additionalScores(i, 3) = GetAdditionalScore(users(i).name, gameID1, visitorID1) + GetAdditionalScore(users(i).name, gameID2, homeID2)
					additionalScores(i, 4) = GetAdditionalScore(users(i).name, gameID1, homeID1)    + GetAdditionalScore(users(i).name, gameID2, homeID2)
					additionalScores(i, 5) = GetAdditionalScore(users(i).name, gameID1, TIE_STR)    + GetAdditionalScore(users(i).name, gameID2, homeID2)
					additionalScores(i, 6) = GetAdditionalScore(users(i).name, gameID1, visitorID1) + GetAdditionalScore(users(i).name, gameID2, TIE_STR)
					additionalScores(i, 7) = GetAdditionalScore(users(i).name, gameID1, homeID1)    + GetAdditionalScore(users(i).name, gameID2, TIE_STR)
					additionalScores(i, 8) = GetAdditionalScore(users(i).name, gameID1, TIE_STR)    + GetAdditionalScore(users(i).name, gameID2, TIE_STR)
				else
					additionalScores(i, 0) = GetAdditionalScore(users(i).name, gameID1, visitorID1)
					additionalScores(i, 1) = GetAdditionalScore(users(i).name, gameID1, homeID1)
					additionalScores(i, 2) = GetAdditionalScore(users(i).name, gameID1, TIE_STR)
				end if
			next

			'Find the top score for each possible outcome.
			for j = 0 to 8
				topScores(j) = 0
				for i = 0 to UBound(users)
					if users(i).confScore <> "" then
						if users(i).confScore + additionalScores(i, j) > topScores(j) then
							topScores(j) = users(i).confScore + additionalScores(i, j)
						end if
					end if
				next
			next

		end if

		'Build the display. %>
	<h2>Who's Still In?</h2>
	<div class="adjustWidth">
		<p>Below are the final scores based on every possible outcome of the <% = descStr %>.
		The top score(s) for each senario have been highlighted.</p>
	</div>
	<p></p>
	<table class="main" border="0" cellpadding="0" cellspacing="0">
		<thead id="projectedHead">
			<tr class="header bottomEdge sortable" valign="bottom">
				<th align="left"><a href="#" onclick="this.blur(); return tableSort.sort(projectedNameSort);" title="Sort by name.">Name</a></th>
<%		if gameID2 <> "" then %>
				<th align="left"><a href="#" onclick="this.blur(); return tableSort.sort(projectedVVSort);" title="Sort by score for this outcome."><% = visitorID1 & "/" & visitorID2 %></a></th>
				<th align="left"><a href="#" onclick="this.blur(); return tableSort.sort(projectedHVSort);" title="Sort by score for this outcome."><% = homeID1    & "/" & visitorID2 %></a></th>
				<th align="left"><a href="#" onclick="this.blur(); return tableSort.sort(projectedTVSort);" title="Sort by score for this outcome."><% = TIE_STR & "/" & visitorID2 %></a></th>
				<th align="left"><a href="#" onclick="this.blur(); return tableSort.sort(projectedVHSort);" title="Sort by score for this outcome."><% = visitorID1 & "/" & homeID2 %></a></th>
				<th align="left"><a href="#" onclick="this.blur(); return tableSort.sort(projectedHHSort);" title="Sort by score for this outcome."><% = homeID1    & "/" & homeID2 %></a></th>
				<th align="left"><a href="#" onclick="this.blur(); return tableSort.sort(projectedTHSort);" title="Sort by score for this outcome."><% = TIE_STR & "/" & homeID2 %></a></th>
				<th align="left"><a href="#" onclick="this.blur(); return tableSort.sort(projectedVTSort);" title="Sort by score for this outcome."><% = visitorID1 & "/Tie" %></a></th>
				<th align="left"><a href="#" onclick="this.blur(); return tableSort.sort(projectedHTSort);" title="Sort by score for this outcome."><% = homeID1    & "/Tie" %></a></th>
				<th align="left"><a href="#" onclick="this.blur(); return tableSort.sort(projectedTTSort);" title="Sort by score for this outcome."><% = TIE_STR & "/" & TIE_STR %></a></th>
<%		else %>
				<th align="left"><a href="#" onclick="this.blur(); return tableSort.sort(projectedVSort);" title="Sort by score for this outcome."><% = visitorID1 %></a></th>
				<th align="left"><a href="#" onclick="this.blur(); return tableSort.sort(projectedHSort);" title="Sort by score for this outcome."><% = homeID1 %></a></th>
				<th align="left"><a href="#" onclick="this.blur(); return tableSort.sort(projectedTSort);" title="Sort by score for this outcome."><% = TIE_STR %></a></th>
<%		end if %>
			</tr>
		</thead>
		<tbody id="projectedBody">
<%		alt = false
		for i = 0 to UBound(users)
			if alt then %>
			<tr align="right" class="alt singleLine">
<%			else %>
			<tr align="right" class="singleLine">
<%			end if
			alt = not alt %>
				<td align="left"><% = users(i).name %></td>
<%			if gameID2 <> "" then
				for j = 0 to 8 %>
				<td><% = FormatProjectedScore(i, j) %></td>
<%				next
			else
				for j = 0 to 2 %>
				<td><% = FormatProjectedScore(i, j) %></td>
<%				next
			end if %>
			</tr>
<%		next %>
		</tbody>
	</table>
<%	end if %>
	</td></tr></table>
	</div>
<!-- #include file="includes/footer.asp" -->
</body>
</html>
<%	'**************************************************************************
	'* Local functions and subroutines.                                       *
	'**************************************************************************

	'--------------------------------------------------------------------------
	' Returns the points a player would receive based on the projected outcome
	' of a given game.
	'--------------------------------------------------------------------------
	function GetAdditionalScore(username, gameID, correctPick)

		dim sql, rs
		dim pick, conf

		GetAdditionalScore = 0

		if gameID <> "" then

			'Search the picks for the given user and game.
			if not (picksRs.EOF and picksRs.BOF) then
				picksRs.MoveFirst
				do while not picksRs.EOF
					if picksRs.Fields("Username").Value = username and picksRs.Fields("GameID").Value = gameID then

						'Get the score for this pick based on the given
						'outcome and return it.
						pick = picksRs.Fields("Pick").Value
						conf = picksRs.Fields("Confidence").Value
						if IsNumeric(conf) then
							if not ALLOW_TIE_PICKS and correctPick = TIE_STR then
								GetAdditionalScore = conf / 2
							elseif pick = correctPick then
								GetAdditionalScore = conf
							end if
						end if
						exit function
					end if
					picksRs.MoveNext
				loop
			end if
		end if

	end function

	'--------------------------------------------------------------------------
	' Formats a projected confidence score.
	'--------------------------------------------------------------------------
	function FormatProjectedScore(i, j)

		dim score

		score = ""
		if IsNumeric(users(i).confScore) then
			score = users(i).confScore + additionalScores(i, j)
		end if

		FormatProjectedScore = FormatScore(score, true)

		if IsNumeric(score) then
			if score = topScores(j) then
				FormatProjectedScore = "<strong>" & FormatProjectedScore & "</strong>"
			end if
		end if

	end function

	'**************************************************************************
	'* Local class definitions.                                               *
	'**************************************************************************

	'--------------------------------------------------------------------------
	' UserObj: Holds information for a single user.
	'--------------------------------------------------------------------------
	class UserObj

		public name
		public pickScore, confScore
		public tbGuess

		private sub Class_Initialize()
		end sub

		private sub Class_Terminate()
		end sub

		public sub setData(username)

			'Set the user properties.
			name      = username
			pickScore = GetWeeklyPickScore(username, week)
			confScore = GetWeeklyConfidenceScore(username, week)
			tbGuess   = GetWeeklyTiebreakerGuess(username, week)

		end sub

	end class %>

