<%@ LANGUAGE="VBScript" %>
<!-- #include file="includes/config.asp" --><!-- #include file="includes/common.asp" --><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!-- #include file="includes/header.asp" -->
<!-- #include file="includes/menu.asp" -->
<%	'Require login to access the page.
	call CheckAccess(false)

	'Open the database.
	call OpenDb() %>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<%	PageSubTitle = "Weekly Schedule"
	call BuildPageHeader("", "") %>
<!-- #include file="includes/custom.asp" -->
</head>
<body>
	<div id="contentSection">
	<table id="mainWrapper" border="0" cellpadding="0" cellspacing="0"><tr><td>
<%	'Get the week to display.
	dim week
	week = GetRequestedWeek()

	'Display the schedule for that week.
	dim cols
	cols = 9
	if USE_POINT_SPREADS then
		cols = cols + 1
	end if %>
	<table class="main" border="0" cellpadding="0" cellspacing="0">
		<tr class="header bottomEdge">
		  <th align="left" colspan="<% = cols %>">Week <% = week %></th>
		</tr>
<%	dim rs
	dim vid, hid
	dim visitor, home
	dim vscore, hscore
	dim ot, result
	dim spread, atsResult
	dim alt
	set rs = GetGamesRecordset(week)
	if not (rs.EOF and rs.BOF) then
		alt = false
		do while not rs.EOF
			vid       = rs.Fields("VisitorID").Value
			hid       = rs.Fields("HomeID").Value
			visitor   = rs.Fields("VCity").Value
			home      = rs.Fields("HCity").Value
			vscore    = rs.Fields("VisitorScore").Value
			hscore    = rs.Fields("HomeScore").Value
			ot        = rs.Fields("OT").Value
			result    = rs.Fields("Result").Value
			spread    = rs.Fields("PointSpread").Value
			atsResult = rs.Fields("ATSResult").Value

			'Set the team names for display.
			if rs.Fields("VDisplayName").Value <> "" then
				visitor = rs.Fields("VDisplayName").Value
			end if
			if rs.Fields("HDisplayName").Value <> "" then
				home = rs.Fields("HDisplayName").Value
			end if

			'Highlight the results.
			if result = vid then
				visitor = FormatWinner(visitor)
				vscore  = FormatWinner(vscore)
			elseif result = rs.Fields("HomeID").Value then
				home   = FormatWinner(home)
				hscore = FormatWinner(hscore)
			end if
			if atsResult = vid then
				visitor = FormatATSWinner(visitor)
				vscore  = FormatATSWinner(vscore)
			elseif atsResult = hid then
				home   = FormatATSWinner(home)
				hscore = FormatATSWinner(hscore)
			end if
			if IsNull(hscore) then
				hscore = "&nbsp;"
			end if
			if IsNull(vscore) then
				vscore = "&nbsp;"
			end if

			'Set the OT display.
			if ot then
				ot = "OT"
			else
				ot = "&nbsp;"
			end if

			if alt then %>
		<tr align="right" class="alt">
<%			else %>
		<tr align="right">
<%			end if
			alt = not alt %>
			<td align="left"><% = WeekdayName(Weekday(rs.Fields("DateTime").Value), true) %></td>
			<td><% = FormatDate(rs.Fields("DateTime").Value) %></td>
			<td><% = FormatTime(rs.Fields("DateTime").Value) %></td>
			<td align="left"><% call DisplayTeamLogo(vid) %><% = visitor %></td>
			<td><% = vscore %></td>
<%			if USE_POINT_SPREADS then %>
			<td><% = FormatPointSpread(spread) %></td>
<%			end if %>
			<td>at</td>
			<td align="left"><% call DisplayTeamLogo(hid) %><% = home %></td>
			<td><% = hscore %></td>
			<td><span class="small"><% = ot %></span></td>
		</tr>
<%			rs.MoveNext
		loop %>
	</table>
	<div>
<%		'List open dates.
		call DisplayOpenDates(week)
	end if %>
	</div>
<%	'List links to view other weeks.
	call DisplayGoToNavigation("week", GetWeekCount(), "") %>
	</td></tr></table>
	</div>
<!-- #include file="includes/footer.asp" -->
</body>
</html>