<%@ LANGUAGE="VBScript" %>
<!-- #include file="includes/config.asp" --><!-- #include file="includes/common.asp" --><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<%	'Require login to access the page.
	call CheckAccess(false)

	'Open the database.
	call OpenDb() %>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<%	PageSubTitle = "Weekly Point Spread Statistics"
	call BuildPageHeader("tableSort.css", "tableSort.js") %>
	<script type="text/javascript">//<![CDATA[
	//=========================================================================
	// Define the teams table sort commands.
	//=========================================================================
	var teamsNameSort = {
		initialSort : true,
		tbodyID     : "teamsBody",
		theadID     : "teamsHead",
		sortColumns : [
			{ column : 0, descending : false }
		],
		highlightColumns : {
			bodyColumns : [],
			headColumns : []
		}
	}
	var teamsStraightUpSort = {
		tbodyID     : "teamsBody",
		theadID     : "teamsHead",
		sortColumns : [
			{ column : 2, descending : true  },
			{ column : 0, descending : false }
		],
		highlightColumns : {
			bodyColumns : [1, 2],
			headColumns : [1]
		}
	}
	var teamsVsSpreadSort = {
		tbodyID     : "teamsBody",
		theadID     : "teamsHead",
		sortColumns : [
			{ column : 4, descending : true  },
			{ column : 0, descending : false }
		],
		highlightColumns : {
			bodyColumns : [3, 4],
			headColumns : [2]
		}
	}
	var teamsFavSort = {
		tbodyID     : "teamsBody",
		theadID     : "teamsHead",
		sortColumns : [
			{ column : 5, descending : true  },
			{ column : 0, descending : false }
		],
		highlightColumns : {
			bodyColumns : [5],
			headColumns : [3]
		}
	}
	var teamsFavAvgSort = {
		tbodyID     : "teamsBody",
		theadID     : "teamsHead",
		sortColumns : [
			{ column : 6, descending : false  },
			{ column : 0, descending : false }
		],
		highlightColumns : {
			bodyColumns : [6],
			headColumns : [4]
		}
	}
	var teamsUndSort = {
		tbodyID     : "teamsBody",
		theadID     : "teamsHead",
		sortColumns : [
			{ column : 7, descending : false },
			{ column : 0, descending : false }
		],
		highlightColumns : {
			bodyColumns : [7],
			headColumns : [5]
		}
	}
	var teamsUndAvgSort = {
		tbodyID     : "teamsBody",
		theadID     : "teamsHead",
		sortColumns : [
			{ column : 8, descending : false  },
			{ column : 0, descending : false }
		],
		highlightColumns : {
			bodyColumns : [8],
			headColumns : [6]
		}
	}
	var teamsEvnSort = {
		tbodyID     : "teamsBody",
		theadID     : "teamsHead",
		sortColumns : [
			{ column : 9, descending : false  },
			{ column : 0, descending : false }
		],
		highlightColumns : {
			bodyColumns : [9],
			headColumns : [7]
		}
	}
	var teamsAvgSort = {
		tbodyID     : "teamsBody",
		theadID     : "teamsHead",
		sortColumns : [
			{ column : 10, descending : false  },
			{ column :  0, descending : false }
		],
		highlightColumns : {
			bodyColumns : [10],
			headColumns : [ 8]
		}
	}
	//]]></script>
<!-- #include file="includes/custom.asp" -->
</head>
<body>
<!-- #include file="includes/header.asp" -->
<!-- #include file="includes/menu.asp" -->
	<div id="contentSection">
	<table id="mainWrapper" border="0" cellpadding="0" cellspacing="0"><tr><td>
<%	'Get record data.
	dim sql, rs
	dim wins, losses, ties, pct
	dim atsWins, atsLosses, atsTies, atsPct
	dim noLines, totalGames

	'Get straight up record for favorites.
	wins = 0 : losses = 0 : ties = 0 : pct = 0
	sql = "SELECT COUNT(*) AS Total" _
	   & " FROM Schedule" _
	   & " WHERE (PointSpread < 0 AND Result = VisitorID)" _
	   & " OR    (PointSpread > 0 AND Result = HomeID)"
	set rs = DbConn.Execute(sql)
	if not (rs.EOF and rs.BOF) then
		wins = rs.Fields("Total").Value
	end if
	sql = "SELECT COUNT(*) AS Total" _
	   & " FROM Schedule" _
	   & " WHERE (PointSpread < 0 AND Result = HomeID)" _
	   & " OR    (PointSpread > 0 AND Result = VisitorID)"
	set rs = DbConn.Execute(sql)
	if not (rs.EOF and rs.BOF) then
		losses = rs.Fields("Total").Value
	end if
	sql = "SELECT COUNT(*) AS Total" _
	   & " FROM Schedule" _
	   & " WHERE PointSpread <> 0 AND Result = '" & TIE_STR & "'"
	set rs = DbConn.Execute(sql)
	if not (rs.EOF and rs.BOF) then
		ties = rs.Fields("Total").Value
	end if
	if wins + losses + ties <> 0 then
		pct = (wins + ties / 2) / (wins + losses + ties)
	end if

	'Get vs.spread record for favorites.
	atsWins = 0 : atsLosses = 0 : atsTies = 0 : atsPct = 0
	sql = "SELECT COUNT(*) AS Total" _
	   & " FROM Schedule" _
	   & " WHERE (PointSpread < 0 AND ATSResult = VisitorID)" _
	   & " OR    (PointSpread > 0 AND ATSResult = HomeID)"
	set rs = DbConn.Execute(sql)
	if not (rs.EOF and rs.BOF) then
		atsWins = rs.Fields("Total").Value
	end if
	sql = "SELECT COUNT(*) AS Total" _
	   & " FROM Schedule" _
	   & " WHERE (PointSpread < 0 AND ATSResult = HomeID)" _
	   & " OR    (PointSpread > 0 AND ATSResult = VisitorID)"
	set rs = DbConn.Execute(sql)
	if not (rs.EOF and rs.BOF) then
		atsLosses = rs.Fields("Total").Value
	end if
	sql = "SELECT COUNT(*) AS Total" _
	   & " FROM Schedule" _
	   & " WHERE PointSpread <> 0 AND ATSResult = '" & TIE_STR & "'"
	set rs = DbConn.Execute(sql)
	if not (rs.EOF and rs.BOF) then
		atsTies = rs.Fields("Total").Value
	end if
	if atsWins + atsLosses + atsTies <> 0 then
		atsPct = (atsWins + atsTies / 2) / (atsWins + atsLosses + atsTies)
	end if

	'Get the number of games with no line.
	noLines = 0
	sql = "SELECT COUNT(*) AS Total" _
	   & " FROM Schedule" _
	   & " WHERE (PointSpread IS NULL OR PointSpread = 0)" _
	   & " AND Result IS NOT NULL"
	set rs = DbConn.Execute(sql)
	if not (rs.EOF and rs.BOF) then
		noLines = rs.Fields("Total").Value
	end if

	'Find the total number of games.
	totalGames = wins + losses + ties + noLines

	'Build the display. %>
	<h2>Combined Records</h2>
	<table class="main" border="0" cellpadding="0" cellspacing="0">
		<thead>
			<tr class="header bottomEdge">
				<th align="left" colspan="3">Favorites</th>
			</tr>
		</thead>
<%	if totalGames > 0 and noLines <> 0 then %>
		<tfoot>
			<tr class="subHeader topEdge">
				<th align="left" colspan="2">Games without a favorite:</th>
				<th align="right"> <% = noLines %></th>
			</tr>
		</tfoot>
<%	end if %>
		<tbody>
			<tr align="right">
				<td align="left" style="width: 10em;">Straight Up</td>
				<td><% = wins & "-" & losses & "-" & ties %></td>
				<td>(<% = FormatPercentage(pct) %>)</td>
			</tr>
			<tr align="right" class="alt">
				<td align="left">vs. Spread</td>
				<td><% = atsWins & "-" & atsLosses & "-" & atsTies %></td>
				<td>(<% = FormatPercentage(atsPct) %>)</td>
			</tr>
		</tbody>
	</table>
<%	'Collect point spread data for all teams.
	dim teams
	dim n, i

	n = GetTeamCount()
	redim teams(n - 1)
	i = 0
	set rs = GetTeamsRecordset()
	if not (rs.EOF and rs.BOF) then
		do while not rs.EOF
			set teams(i) = new TeamObj
			teams(i).setData(rs.Fields("TeamID").Value)
			i = i + 1
			rs.MoveNext
		loop
	end if

	'Build the display. %>
	<h2>Point Spread Summary by Team <span class="headerNote">(Excludes Unplayed Games)</span></h2>
	<table class="main" border="0" cellpadding="0" cellspacing="0">
		<thead id="teamsHead">
			<tr class="header bottomEdge sortable" valign="bottom">
				<th align="left"><a href="#" onclick="this.blur(); return tableSort.sort(teamsNameSort);" title="Sort by team name.">Team</a></th>
				<th align="center" class="small" colspan="2"><a href="#" onclick="this.blur(); return tableSort.sort(teamsStraightUpSort);" title="Sort by record.">Straight Up</a></th>
				<th align="center" class="small" colspan="2"><a href="#" onclick="this.blur(); return tableSort.sort(teamsVsSpreadSort);" title="Sort by record vs. spread.">vs. Spread</a></th>
				<th class="small"><a href="#" onclick="this.blur(); return tableSort.sort(teamsFavSort);" title="Sort by number of games as the favorite.">Times<br />Favorite</a></th>
				<th class="small"><a href="#" onclick="this.blur(); return tableSort.sort(teamsFavAvgSort);" title="Sort by average point spread as the favorite.">Avg.<br />Spread</a></th>
				<th class="small"><a href="#" onclick="this.blur(); return tableSort.sort(teamsUndSort);" title="Sort by number of games as the underdog.">Times<br />Underdog</a></th>
				<th class="small"><a href="#" onclick="this.blur(); return tableSort.sort(teamsUndAvgSort);" title="Sort by average point spread as the underdog.">Avg.<br />Spread</a></th>
				<th class="small"><a href="#" onclick="this.blur(); return tableSort.sort(teamsEvnSort);" title="Sort by number of games with an even point spread or no line.">Times<br />Even</a></th>
				<th class="small"><a href="#" onclick="this.blur(); return tableSort.sort(teamsAvgSort);" title="Sort by average point spread over all games.">Overall<br />Avg.</a></th>
			</tr>
		</thead>
		<tbody  id="teamsBody">
<%	for i = 0 to UBound(teams)
		if Round(i / 2) * 2 = i then %>
			<tr align="right" class="singleLine">
<%		else %>
			<tr align="right" class="alt singleLine">
<%		end if %>
				<td align="left"><a href="teamSchedules.asp?id=<% = teams(i).id %>"><% call DisplayTeamLogo(teams(i).id) %><% = teams(i).name %></a></td>
				<td><% = FormatRecord(teams(i).wins, teams(i).losses, teams(i).ties) %></td>
				<td>(<% = FormatPercentage(teams(i).pct) %>)</td>
				<td><% = FormatRecord(teams(i).atsWins, teams(i).atsLosses, teams(i).atsTies) %></td>
				<td>(<% = FormatPercentage(teams(i).atsPct) %>)</td>
				<td><% = teams(i).favCount %></td>
				<td><% = FormatAverage(-teams(i).favPoints, teams(i).favCount, 3) %></td>
				<td><% = teams(i).undCount %></td>
				<td><% = FormatAverage(teams(i).undPoints, teams(i).undCount, 3) %></td>
				<td><% = teams(i).evenCount %></td>
				<td><% = FormatAverage(teams(i).undPoints - teams(i).favPoints, teams(i).favCount + teams(i).undCount + teams(i).evenCount, 3) %></td>
			</tr>
<%	next %>
		</tbody>
	</table>
	</td></tr></table>
	</div>
<!-- #include file="includes/footer.asp" -->
</body>
</html>
<%	'**************************************************************************
	'* Local class definitions.                                               *
	'**************************************************************************

	'--------------------------------------------------------------------------
	' TeamObj: Holds information for a single team.
	'--------------------------------------------------------------------------
	class TeamObj

		public id
		public name
		public favCount, undCount, evenCount
		public favPoints, undPoints
		public wins, losses, ties, pct
		public atsWins, atsLosses, atsTies, atsPct

		private sub Class_Initialize()

			name = ""
			favCount   = 0 : undCount  = 0 : evenCount = 0
			favPoints  = 0 : undPoints = 0

			   wins = 0 :    losses = 0 : ties    = 0 : pct    = 0
			atsWins = 0 : atsLosses = 0 : atsTies = 0 : atsPct = 0

		end sub

		private sub Class_Terminate()
		end sub

		public sub setData(teamID)

			dim sql, rs
			dim spread
			dim result, atsResult

			'Save the team ID.
			id = teamID

			'Get team name.
			sql = "SELECT * FROM Teams WHERE TeamID = '" & teamID & "'"
			set rs = DbConn.Execute(sql)
			if not (rs.EOF and rs.BOF) then
				name = rs.Fields("City").Value & " " & rs.Fields("Name").Value
			end if

			'Get all completed games for the team.
			sql = "SELECT * FROM SCHEDULE" _
			  & " WHERE (VisitorID = '" & teamID & "' OR HomeID = '" & teamID & "')" _
			  & " AND Result IS NOT NULL"
			set rs = DbConn.Execute(sql)
			do while not rs.EOF

				'Get the point spread.
				spread = rs.Fields("PointSpread").Value
				if not IsNumeric(spread) then
					spread = 0
				end if

				'Add to the favorite/underdog/even statistics.
				if spread = 0 then
					evenCount = evenCount + 1
				elseif (rs.Fields("VisitorID").Value = teamID and spread < 0) or _
				       (rs.Fields("HomeID").Value    = teamID and spread > 0) then
					favCount  = favCount + 1
					favPoints = favPoints + ABS(spread)
				else
					undCount  = undCount + 1
					undPoints = undPoints + ABS(spread)
				end if

				'Get the game results.
				result    = rs.Fields("Result").Value
				atsResult = rs.Fields("ATSResult").Value

				'Add to the straight up record.
				if result = teamID then
					wins = wins + 1
				elseif result = TIE_STR then
					ties = ties + 1
				else
					losses = losses + 1
				end if

				'Add to the vs. spread record.
				if atsResult = teamID then
					atsWins = atsWins + 1
				elseif atsResult = TIE_STR then
					atsTies = atsTies + 1
				else
					atsLosses = atsLosses + 1
				end if

				rs.MoveNext
			loop

			'Calculate winning percentages.
			pct = 0
			if wins + losses + ties > 0 then
				pct = (wins + ties / 2) / (wins + losses + ties)
			end if
			atsPct = 0
			if atsWins + atsLosses + atsTies > 0 then
				atsPct = (atsWins + atsTies / 2) / (atsWins + atsLosses + atsTies)
			end if

		end sub

	end class %>
	