<%@ LANGUAGE="VBScript" %>
<!-- #include file="includes/config.asp" --><!-- #include file="includes/common.asp" --><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!-- #include file="includes/email.asp" -->
<!-- #include file="includes/encryption.asp" -->
<!-- #include file="includes/form.asp" -->
<!-- #include file="includes/news.asp" -->
<%	'Limit access to the Administrator.
	call CheckAccess(true)

	'Open the database.
	call OpenDb() %>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<%	PageSubTitle = "Edit News"
	call BuildPageHeader("", "tiny_mce/tiny_mce.js") %>
	<script type="text/javascript">//<![CDATA[
	//=========================================================================
	// Create the TinyMCE control to be used for editing the site news.
	//=========================================================================
	tinyMCE.init({
		content_css : "styles/common.css",
		editor_selector : "mceEditor",
		font_size_style_values : "xx-small,x-small,small,medium,large,x-large,xx-large",
		mode : "textareas",
		plugins : "advimage,advlink,emotions,fullscreen,iespell,inlinepopups,layer,media,preview,safari,searchreplace,style,table,xhtmlxtras",
		theme : "advanced",
		theme_advanced_buttons1 : "formatselect,fontselect,fontsizeselect,|,forecolor,backcolor,|,bold,italic,underline,strikethrough",
		theme_advanced_buttons2 : "justifyleft,justifycenter,justifyright,justifyfull,|,bullist,numlist,|,outdent,indent,blockquote,|,link,unlink,anchor,image,hr,|,charmap,emotions,media",
		theme_advanced_buttons3 : "insertlayer,moveforward,movebackward,absolute,|,tablecontrols,|,visualaid",
		theme_advanced_buttons4 : "styleprops,|,cite,abbr,acronym,del,ins,attribs,|,search,replace,|,undo,redo,|,removeformat,cleanup,code,iespell,|,fullscreen,preview,|,help",
		theme_advanced_font_sizes : "xx-small,x-small,small,medium,large,x-large,xx-large",
		theme_advanced_toolbar_location : "bottom",
		theme_advanced_toolbar_align : "center",
		theme_advanced_path : false,
		theme_advanced_resizing : false
	});
	//]]></script>
<!-- #include file="includes/custom.asp" -->
</head>
<body>
<!-- #include file="includes/header.asp" -->
<!-- #include file="includes/menu.asp" -->
	<div id="contentSection">
	<table id="mainWrapper" border="0" cellpadding="0" cellspacing="0"><tr><td>
<%	'Get the current news data.
	dim news
	news = GetNews()

	'If an update was requested, process it.
	dim lines, line, i
	dim notify, infoMsg
	dim sql
	if Request.Form("submit") = "Update" then

		'Delete any existing news.
		sql = "DELETE FROM News"
		call DbConn.Execute(sql)

		'Insert the new content.
		lines = Split(Request.Form("newContent"), vbCrLf)
		if IsArray(lines) then
			for i = 0 to UBound(lines)
				line = lines(i)
				line = Replace(line, vbCrLf, " ")
				line = Replace(line, vbTab, " ")
				line = Trim(line)
				if Len(line) > 0 then
					sql = "INSERT INTO News"_
					  & " (LineNumber, Line)" _
					  & " VALUES(" & (i + 1) & ", '" & SqlEscape(line) & "')"
					call DbConn.Execute(sql)
				end if
			next
		end if
		news = GetNews()

		'Send out email notifications, if checked.
		infoMsg = "News updates saved."
		notify = Trim(Request.Form("notify"))
		if LCase(notify) = "true" then
			infoMsg = "News updates saved, notifications sent."
			call SendNotifications()
		end if

		'Updates done, show an informational message.
		call DisplaySuccessMessage(infoMsg)
	end if

	'Display the form.
	dim editContent
	if Request.ServerVariables("Content_Length") > 0 and not IsCancelRequest() then
		editContent = Request.Form("newContent")
	else
		editContent = news
	end if %>
	<form action="<% = Request.ServerVariables("SCRIPT_NAME") %>" method="post">
		<table class="main fixed" border="0" cellpadding="0" cellspacing="0">
			<tr class="header bottomEdge">
				<th align="left">Edit the News Section</th>
			</tr>
			<tr>
				<td class="freeForm">
					<p>You can edit the "News" section of the home page below:</p>
					<table class="htmlEditorArea" border="0" cellpadding="0" cellspacing="0"><tr><td style="padding: 0px;">
						<div style="margin: 0px;">
							<textarea name="newContent" class="mceEditor" rows="30" cols="80" style="width: 39em;"><% = editContent %></textarea>
						</div>
					</td></tr></table>
				</td>
			</tr>
<%	if SERVER_EMAIL_ENABLED then %>
			<tr class="subHeader topEdge">
				<th align="left"><input type="checkbox" id="notify" name="notify" value="true" /> <label for="notify">Send update notification to users.</label></th>
			</tr>
<%	end if %>
		</table>
		<p><input type="submit" name="submit" value="Update" class="button" />&nbsp;<input type="submit" name="submit" value="Cancel" class="button" /></p>
	</form>
	</td></tr></table>
	</div>
<!-- #include file="includes/footer.asp" -->
</body>
</html>
<%	'**************************************************************************
	'* Local functions and subroutines.                                       *
	'**************************************************************************

	'--------------------------------------------------------------------------
	' Sends an email notification to any users who have elected to receive
	' them.
	'--------------------------------------------------------------------------
	sub SendNotifications()

		dim subj, body
		dim list, email

		subj = "Football Pool News Notification"
		body = "The site news has been updated." & vbCrLf _
		     & "Please visit " & POOL_URL & " for more information." & vbCrLf

		list = GetNotificationList("NotifyOfNewsUpdates")
		for each email in list
			call SendMail(email, subj, body)
		next

	end sub %>