	<!-- Site Menu. -->
	<div id="menuSection">
	<div id="menuBar">
		<table id="siteMenu" border="0" cellpadding="0" cellspacing="0">
			<tr>
				<td>
					<a href="./">Home</a>
				</td>
<%	if ENABLE_MESSAGE_BOARD then %>
				<td>
					<a href="messageBoard.asp">Message Board</a>
				</td>
<%	end if %>
				<td>
					<a href="#" onclick="return false;">Weekly Pool <span class="arrow">&#9660;</span></a>
					<div class="subMenu">
						<a href="weeklyEntry.asp">Entry Form</a>
						<a href="weeklyResults.asp">Results</a>
						<div class="separator"></div>
						<a href="weeklySummary.asp">Summary</a>
						<a href="weeklyScoringCharts.asp">Scoring Charts</a>
						<a href="topWeeklyScores.asp">Top Scores</a>
						<div class="separator"></div>
						<a href="weeklyPickStatistics.asp">Pick Statistics</a>
<%	if USE_POINT_SPREADS or SHOW_POINT_SPREADS then %>
						<a href="weeklySpreadStatistics.asp">Point Spread Statistics</a>
<%	end if %>
					</div>
				</td>
<%	if ENABLE_SURVIVOR_POOL or ENABLE_MARGIN_POOL then %>
				<td>
					<a href="#" onclick="return false;"><% = SidePoolTitle %> Pool <span class="arrow">&#9660;</span></a>
					<div class="subMenu">
						<a href="sideEntry.asp">Entry Form</a>
						<a href="sideStandings.asp">Standings</a>
						<div class="separator"></div>
<%		if ENABLE_MARGIN_POOL then %>
						<a href="marginStatistics.asp">Margin Statistics</a>
<%		end if
		if ENABLE_SURVIVOR_POOL then %>
						<a href="survivorStatistics.asp">Survivor Statistics</a>
<%		end if %>
					</div>
				</td>
<%	end if
	if PlayoffsPoolsCount > 0 then %>
<td>
					<a href="#" onclick="return false;"><% = PlayoffsPoolsHeader %> <span class="arrow">&#9660;</span></a>
					<div class="subMenu">
<%		if ENABLE_PLAYOFFS_PICK_POOL then %>
						<a href="playoffsPickEntry.asp"><% = PlayoffsPickPoolPrefix %>Entry Form</a>
						<a href="playoffsPickResults.asp"><% = PlayoffsPickPoolPrefix %>Results</a>
<%		end if
		if ENABLE_PLAYOFFS_RANK_POOL then
			if ENABLE_PLAYOFFS_PICK_POOL then %>
						<div class="separator"></div>
<%			end if %>
						<a href="playoffsRankEntry.asp"><% = PlayoffsRankPoolPrefix %>Entry Form</a>
						<a href="playoffsRankResults.asp"><% = PlayoffsRankPoolPrefix %>Results</a>
<%		end if %>
<%		if ENABLE_SUPER_BOWL_POOL then
			if ENABLE_PLAYOFFS_PICK_POOL or ENABLE_PLAYOFFS_RANK_POOL then %>
						<div class="separator"></div>
<%			end if %>
						<a href="superBowlEntry.asp"><% = SuperBowlPoolPrefix %>Entry Form</a>
						<a href="superBowlResults.asp"><% = SuperBowlPoolPrefix %>Results</a>
<%		end if %>
					</div>
				</td>
<%	end if %>
				<td>
					<a href="#" onclick="return false;">Schedules <span class="arrow">&#9660;</span></a>
					<div class="subMenu">
						<a href="teamSchedules.asp">Team Schedules</a>
						<a href="weeklySchedule.asp">Weekly Schedule</a>
<%	if PlayoffsPoolsCount > 0 then %>
						<a href="playoffsSchedule.asp">Playoffs Schedule</a>
<%	end if %>
						<div class="separator"></div>
						<a href="standings.asp">Standings</a>
					</div>
				</td>
				<td>
					<a href="#" onclick="return false;">My Account <span class="arrow">&#9660;</span></a>
					<div class="subMenu">
						<a href="accountSummary.asp">Account Summary</a>
<%	if ENABLE_PAYPAL_ADDON then %>
						<a href="makePayment.asp">Make Payment</a>
<%	end if
	if ENABLE_QUICK_PICKS then %>
						<div class="separator"></div>
						<a href="editTeamRankings.asp">Edit Team Rankings</a>
<%	end if %>
						<div class="separator"></div>
						<a href="changePassword.asp">Change Password</a>
						<a href="editProfile.asp">Edit Profile</a>
						<div class="separator"></div>
						<a href="userLogout.asp">Login/Logout</a>
					</div>
				</td>
<%	if IsAdmin() then %>
				<td>
					<a href="#" onclick="return false;">Administration <span class="arrow">&#9660;</span></a>
					<div class="subMenu">
						<a href="updateScores.asp">Enter Game Scores</a>
<%		if USE_POINT_SPREADS or SHOW_POINT_SPREADS then %>
						<a href="updateSpreads.asp">Set Point Spreads</a>
<%		end if %>
						<a href="updateSchedule.asp">Update Game Schedule</a>
<%		if PlayoffsPoolsCount > 0 then %>
						<div class="separator"></div>
						<a href="updatePlayoffsScores.asp">Enter Playoffs Scores</a>
<%			if ENABLE_PLAYOFFS_PICK_POOL and (USE_POINT_SPREADS or SHOW_POINT_SPREADS) then %>
						<a href="updatePlayoffsSpreads.asp">Set Playoffs Point Spreads</a>
<%			end if
			if ENABLE_PLAYOFFS_RANK_POOL then %>
						<a href="setPlayoffsTeams.asp">Set Playoffs Teams</a>
<%			end if %>
						<a href="updatePlayoffsSchedule.asp">Update Playoffs Schedule</a>
<%			if ENABLE_SUPER_BOWL_POOL then %>
						<div class="separator"></div>
						<a href="editSuperBowl.asp">Edit Super Bowl Pool</a>
						<a href="updateSuperBowl.asp">Enter Super Bowl Results</a>
<%			end if
		end if %>
						<div class="separator"></div>
						<a href="accountBalances.asp">Account Balances</a>
<%		if ENABLE_PAYPAL_ADDON then %>
						<a href="paymentLog.asp">Online Payment Log</a>
<%		end if %>
						<a href="manageAccounts.asp">Manage Accounts</a>
						<a href="manageUsers.asp">Manage Users</a>
						<div class="separator"></div>
						<a href="editNews.asp">Edit News</a>
					</div>
				</td>
<%	end if %>
				<td>
					<a href="#" onclick="return false;">Help <span class="arrow">&#9660;</span></a>
					<div class="subMenu">
						<a href="helpRules.asp">Pool Rules</a>
						<a href="helpSiteMap.asp">Site Map</a>
<%		if IsAdmin() then %>
						<div class="separator"></div>
						<a href="helpAdmin.asp">For the Administrator</a>
<%	end if %>
					</div>
				</td>
			</tr>
		</table>
	</div>
	</div>
