<%@ LANGUAGE="VBScript" %>
<!-- #include file="includes/config.asp" --><!-- #include file="includes/common.asp" --><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<%	'Require login to access the page.
	call CheckAccess(false)

	'Open the database.
	call OpenDb() %>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<%	PageSubTitle = "Team Schedules"
	call BuildPageHeader("", "") %>
<!-- #include file="includes/custom.asp" -->
</head>
<body>
<!-- #include file="includes/header.asp" -->
<!-- #include file="includes/menu.asp" -->
	<div id="contentSection">
	<table id="mainWrapper" border="0" cellpadding="0" cellspacing="0"><tr><td>
<%	'Check for a team id.
	dim id
	id = Request("id")

	'If one was specified, show the schedule for it.
	dim sql, rs
	dim wins, losses, ties, atsWins, atsLosses, atsTies
	dim n
	dim openDate, str, score, atStr, oppID, oppName, oppScore, ot, result, atsResult, spread
	dim cols
	dim alt
	cols = 9
	alt = false
	if USE_POINT_SPREADS then
		cols = cols + 2
	end if
	if id <> "" then

		'Get the team name.
		sql = "SELECT * FROM Teams WHERE TeamID = '" & id & "'"
		set rs = DbConn.Execute(sql)
		if not (rs.EOF and rs.BOF) then
			wins    = 0 : losses    = 0 : ties    = 0
			atsWins = 0 : atsLosses = 0 : atsTies = 0
			str = rs.Fields("City").Value & " " & rs.Fields("Name").Value
		end if %>
	<table class="main" border="0" cellpadding="0" cellspacing="0">
		<tr class="header bottomEdge">
			<th align="left" colspan="<% = cols %>"><% = str %></th>
		</tr>
<%		sql = "SELECT * FROM Teams, Schedule" _
		   & " WHERE (VisitorID = '" & id & "' and TeamID = HomeID)" _
		   & " OR    (HomeID    = '" & id & "' and TeamID = VisitorID)" _
		   & " ORDER BY Week"
		set rs = DbConn.Execute(sql)
		if not (rs.EOF and rs.BOF) then
			n = 0
			openDate = false
			do while not rs.EOF
				n = n + 1

				'Check for open date.
				if n <> rs.Fields("Week").Value then
					call DisplayTeamOpenDate(n)
					n = n + 1
					openDate = true
				end if

				'Get the opposing team name and game scores.
				spread = rs.Fields("PointSpread").Value
				oppID = rs.Fields("TeamID").Value
				atStr = "&nbsp;"
				if rs.Fields("DisplayName").Value <> "" then
					oppName = rs.Fields("DisplayName").Value
				else
					oppName = rs.Fields("City").Value
				end if
				if id = rs.Fields("VisitorID").Value then
					atStr = "at"
					score = rs.Fields("VisitorScore").Value
					oppScore = rs.Fields("HomeScore").Value
				else
					spread = -spread
					score = rs.Fields("HomeScore").Value
					oppScore = rs.Fields("VisitorScore").Value
				end if

				'Set the game results.
				result = rs.Fields("Result").Value
				atsResult = rs.Fields("ATSResult").Value
				if result = id then
					result = "W"
					score = score & "-" & oppScore
					wins = wins + 1
				elseif result = TIE_STR then
					result = "T"
					score = score & "-" & oppScore
					ties = ties + 1
				elseif result <> "" then
					result = "L"
					score = score & "-" & oppScore
					losses = losses + 1
				else
					result = "&nbsp;"
					score = "&nbsp;"
				end if
				if atsResult = id then
					atsResult = "(W)"
					atsWins = atsWins + 1
				elseif atsResult = TIE_STR then
					atsResult = "(T)"
					atsTies = atsTies + 1
				elseif atsResult <> "" then
					atsResult = "(L)"
					atsLosses = atsLosses + 1
				end if

				'Set the overtime indicator.
				if rs.Fields("OT").Value then
					ot = "OT"
				else
					ot = "&nbsp;"
				end if

				'Display the info.
				if alt then %>
		<tr align="right" class="alt singleLine">
<%				else %>
		<tr align="right" class="singleLine">
<%				end if
				alt = not alt %>
			<td><% = rs.Fields("Week").Value %></td>
			<td align="left"><% = WeekdayName(Weekday(rs.Fields("DateTime").Value), true) %></td>
			<td><% = FormatDate(rs.Fields("DateTime").Value) %></td>
			<td><% = FormatTime(rs.Fields("DateTime").Value) %></td>
<%				if USE_POINT_SPREADS then %>
			<td><% = FormatPointSpread(spread) %></td>
			<td align="center"><% = atsResult %></td>
<%				end if %>
			<td><% = atStr %></td>
			<td align="left"><% call DisplayTeamLogo(oppID) %><% = oppName %></td>
			<td align="center"><% = result %></td>
			<td><% = score %></td>
			<td><span class="small"><% = ot %></span></td>
		</tr>
<%       		rs.MoveNext
       		loop

			'If no open date was found, the team must have an open date in the
			'final week, so add a row for it. (Note: this has only occured in
			'years where there were an odd number of teams.)
			if not openDate then
				n = n + 1
				call DisplayTeamOpenDate(n)
			end if
		end if

		'Display the team's record.
		str = FormatRecord(wins, losses, ties)
		if wins + losses + ties <> 0 then
			str = str & " (" & FormatPercentage((wins + ties / 2) / (wins + ties + losses)) & ")"
		end if
		if USE_POINT_SPREADS then
			str = str & " straight up,&nbsp;" & FormatRecord(atsWins, atsLosses, atsTies)
			if wins + losses + ties <> 0 then
				str = str & " (" & FormatPercentage((atsWins + atsTies / 2) / (atsWins + atsTies + atsLosses)) & ")"
			end if
			str = str & " vs. spread"
		end if %>
		<tr class="header topEdge">
			<th align="right" colspan="<% = cols %>"><% = str %></th>
		</tr>
	</table>
	<p></p>
<%	end if

	'List the teams for selection. %>
	<form action="<% = Request.ServerVariables("SCRIPT_NAME") %>" method="post">
		<table border="0" cellpadding="0" cellspacing="0">
			<tr valign="middle">
				<td><strong>Select team:</strong></td>
				<td>
					<select name="id">
						<option value=""></option>
<%	set rs = GetTeamsRecordset()
	do while not rs.EOF %>
						<option value="<% = rs.Fields("TeamID").Value %>"<% if rs.Fields("TeamID").Value = id then Response.Write(" selected=""selected""") end if %>><% = rs.Fields("City").Value & " " & rs.Fields("Name").Value %></option>
<%		rs.MoveNext
		loop %>
					</select>
				</td>
				<td><input type="submit" name="submit" value="Select" class="button" /></td>
			</tr>
		</table>
	</form>
	</td></tr></table>
	</div>
<!-- #include file="includes/footer.asp" -->
</body>
</html>
<%	'**************************************************************************
	'* Local functions and subroutines.                                       *
	'**************************************************************************

	'---------------------------------------------------------------------------
	' Displays a table row to indicate an open date in the team's schedule.
	'---------------------------------------------------------------------------
	sub DisplayTeamOpenDate(n)

		if alt then
			Response.Write(String(2, vbTab) & "<tr align=""right"" class=""alt"">" & vbCrLf)
		else
			Response.Write(String(2, vbTab) & "<tr align=""right"">" & vbCrLf)
		end if
		alt = not alt
		Response.Write(String(3, vbTab) & "<td>" & n & "</td>" & vbCrLf)
		Response.Write(String(3, vbTab) & "<td align=""center"" colspan=""3""><em>Open Date</em></td>" & vbCrLf)
		Response.Write(String(3, vbTab) & "<td colspan=""" & (cols -4) & """>&nbsp;</td>" & vbCrLf)
		Response.Write(String(2, vbTab) & "</tr>" & vbCrLf)

	end sub %>
